## org.eclipse.emf.codegen.ecore.genmodel
Interface GenModelPackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  GenModelPackageImpl

    public interface GenModelPackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each interface,
- each operation of each class or interface,
- each enum,
- each literal of each enum,
- and each data type

See Also:
  `GenModelFactory`

Nested Class Summary
`static interface` `GenModelPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static java.lang.String` `eCONTENT_TYPE` The package content type ID
`static GenModelPackage` `eINSTANCE` The singleton instance of the package
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `GEN_ANNOTATION` The meta object id for the '`Gen Annotation`' class
`static int` `GEN_ANNOTATION__CONTENTS` The feature id for the 'Contents' containment reference list
`static int` `GEN_ANNOTATION__DETAILS` The feature id for the 'Details' map
`static int` `GEN_ANNOTATION__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_ANNOTATION__GEN_BASE` The feature id for the 'Gen Base' container reference
`static int` `GEN_ANNOTATION__REFERENCES` The feature id for the 'References' reference list
`static int` `GEN_ANNOTATION__SOURCE` The feature id for the 'Source' attribute
`static int` `GEN_ANNOTATION_FEATURE_COUNT` The number of structural features of the 'Gen Annotation' class
`static int` `GEN_BASE` The meta object id for the '`Gen Base`' class
`static int` `GEN_BASE__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_BASE_FEATURE_COUNT` The number of structural features of the 'Gen Base' class
`static int` `GEN_CLASS` The meta object id for the '`Gen Class`' class
`static int` `GEN_CLASS__DYNAMIC` The feature id for the 'Dynamic' attribute
`static int` `GEN_CLASS__ECORE_CLASS` The feature id for the 'Ecore Class' reference
`static int` `GEN_CLASS__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_CLASS__GEN_FEATURES` The feature id for the 'Gen Features' containment reference list
`static int` `GEN_CLASS__GEN_OPERATIONS` The feature id for the 'Gen Operations' containment reference list
`static int` `GEN_CLASS__GEN_PACKAGE` The feature id for the 'Gen Package' reference
`static int` `GEN_CLASS__GEN_TYPE_PARAMETERS` The feature id for the 'Gen Type Parameters' containment reference list
`static int` `GEN_CLASS__IMAGE` The feature id for the 'Image' attribute
`static int` `GEN_CLASS__LABEL_FEATURE` The feature id for the 'Label Feature' reference
`static int` `GEN_CLASS__PROVIDER` The feature id for the 'Provider' attribute
`static int` `GEN_CLASS_FEATURE_COUNT` The number of structural features of the 'Gen Class' class
`static int` `GEN_CLASSIFIER` The meta object id for the '`Gen Classifier`' class
`static int` `GEN_CLASSIFIER__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_CLASSIFIER__GEN_PACKAGE` The feature id for the 'Gen Package' reference
`static int` `GEN_CLASSIFIER__GEN_TYPE_PARAMETERS` The feature id for the 'Gen Type Parameters' containment reference list
`static int` `GEN_CLASSIFIER_FEATURE_COUNT` The number of structural features of the 'Gen Classifier' class
`static int` `GEN_DATA_TYPE` The meta object id for the '`Gen Data Type`' class
`static int` `GEN_DATA_TYPE__ECORE_DATA_TYPE` The feature id for the 'Ecore Data Type' reference
`static int` `GEN_DATA_TYPE__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_DATA_TYPE__GEN_PACKAGE` The feature id for the 'Gen Package' reference
`static int` `GEN_DATA_TYPE__GEN_TYPE_PARAMETERS` The feature id for the 'Gen Type Parameters' containment reference list
`static int` `GEN_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Gen Data Type' class
`static int` `GEN_DELEGATION_KIND` The meta object id for the '`Gen Delegation Kind`' enum
`static int` `GEN_ENUM` The meta object id for the '`Gen Enum`' class
`static int` `GEN_ENUM__ECORE_DATA_TYPE` The feature id for the 'Ecore Data Type' reference
`static int` `GEN_ENUM__ECORE_ENUM` The feature id for the 'Ecore Enum' reference
`static int` `GEN_ENUM__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_ENUM__GEN_ENUM_LITERALS` The feature id for the 'Gen Enum Literals' containment reference list
`static int` `GEN_ENUM__GEN_PACKAGE` The feature id for the 'Gen Package' reference
`static int` `GEN_ENUM__GEN_TYPE_PARAMETERS` The feature id for the 'Gen Type Parameters' containment reference list
`static int` `GEN_ENUM__TYPE_SAFE_ENUM_COMPATIBLE` The feature id for the 'Type Safe Enum Compatible' attribute
`static int` `GEN_ENUM_FEATURE_COUNT` The number of structural features of the 'Gen Enum' class
`static int` `GEN_ENUM_LITERAL` The meta object id for the '`Gen Enum Literal`' class
`static int` `GEN_ENUM_LITERAL__ECORE_ENUM_LITERAL` The feature id for the 'Ecore Enum Literal' reference
`static int` `GEN_ENUM_LITERAL__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_ENUM_LITERAL__GEN_ENUM` The feature id for the 'Gen Enum' container reference
`static int` `GEN_ENUM_LITERAL_FEATURE_COUNT` The number of structural features of the 'Gen Enum Literal' class
`static int` `GEN_FEATURE` The meta object id for the '`Gen Feature`' class
`static int` `GEN_FEATURE__CHILDREN` The feature id for the 'Children' attribute
`static int` `GEN_FEATURE__CREATE_CHILD` The feature id for the 'Create Child' attribute
`static int` `GEN_FEATURE__ECORE_FEATURE` The feature id for the 'Ecore Feature' reference
`static int` `GEN_FEATURE__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_FEATURE__GEN_CLASS` The feature id for the 'Gen Class' container reference
`static int` `GEN_FEATURE__NOTIFY` The feature id for the 'Notify' attribute
`static int` `GEN_FEATURE__PROPERTY` The feature id for the 'Property' attribute
`static int` `GEN_FEATURE__PROPERTY_CATEGORY` The feature id for the 'Property Category' attribute
`static int` `GEN_FEATURE__PROPERTY_DESCRIPTION` The feature id for the 'Property Description' attribute
`static int` `GEN_FEATURE__PROPERTY_FILTER_FLAGS` The feature id for the 'Property Filter Flags' attribute list
`static int` `GEN_FEATURE__PROPERTY_MULTI_LINE` The feature id for the 'Property Multi Line' attribute
`static int` `GEN_FEATURE__PROPERTY_SORT_CHOICES` The feature id for the 'Property Sort Choices' attribute
`static int` `GEN_FEATURE_FEATURE_COUNT` The number of structural features of the 'Gen Feature' class
`static int` `GEN_JDK_LEVEL` The meta object id for the '`Gen JDK Level`' enum
`static int` `GEN_MODEL` The meta object id for the '`Gen Model`' class
`static int` `GEN_MODEL__ARRAY_ACCESSORS` The feature id for the 'Array Accessors' attribute
`static int` `GEN_MODEL__BINARY_COMPATIBLE_REFLECTIVE_METHODS` The feature id for the 'Binary Compatible Reflective Methods' attribute
`static int` `GEN_MODEL__BOOLEAN_FLAGS_FIELD` The feature id for the 'Boolean Flags Field' attribute
`static int` `GEN_MODEL__BOOLEAN_FLAGS_RESERVED_BITS` The feature id for the 'Boolean Flags Reserved Bits' attribute
`static int` `GEN_MODEL__BUNDLE_MANIFEST` The feature id for the 'Bundle Manifest' attribute
`static int` `GEN_MODEL__CODE_FORMATTING` The feature id for the 'Code Formatting' attribute
`static int` `GEN_MODEL__COLOR_PROVIDERS` The feature id for the 'Color Providers' attribute
`static int` `GEN_MODEL__COMPLIANCE_LEVEL` The feature id for the 'Compliance Level' attribute
`static int` `GEN_MODEL__CONTAINMENT_PROXIES` The feature id for the 'Containment Proxies' attribute
`static int` `GEN_MODEL__COPYRIGHT_FIELDS` The feature id for the 'Copyright Fields' attribute
`static int` `GEN_MODEL__COPYRIGHT_TEXT` The feature id for the 'Copyright Text' attribute
`static int` `GEN_MODEL__CREATION_COMMANDS` The feature id for the 'Creation Commands' attribute
`static int` `GEN_MODEL__CREATION_ICONS` The feature id for the 'Creation Icons' attribute
`static int` `GEN_MODEL__CREATION_SUBMENUS` The feature id for the 'Creation Submenus' attribute
`static int` `GEN_MODEL__DYNAMIC_TEMPLATES` The feature id for the 'Dynamic Templates' attribute
`static int` `GEN_MODEL__EDIT_DIRECTORY` The feature id for the 'Edit Directory' attribute
`static int` `GEN_MODEL__EDIT_PLUGIN_CLASS` The feature id for the 'Edit Plugin Class' attribute
`static int` `GEN_MODEL__EDIT_PLUGIN_ID` The feature id for the 'Edit Plugin ID' attribute
`static int` `GEN_MODEL__EDIT_PLUGIN_VARIABLES` The feature id for the 'Edit Plugin Variables' attribute list
`static int` `GEN_MODEL__EDITOR_DIRECTORY` The feature id for the 'Editor Directory' attribute
`static int` `GEN_MODEL__EDITOR_PLUGIN_CLASS` The feature id for the 'Editor Plugin Class' attribute
`static int` `GEN_MODEL__EDITOR_PLUGIN_ID` The feature id for the 'Editor Plugin ID' attribute
`static int` `GEN_MODEL__EDITOR_PLUGIN_VARIABLES` The feature id for the 'Editor Plugin Variables' attribute list
`static int` `GEN_MODEL__FACADE_HELPER_CLASS` The feature id for the 'Facade Helper Class' attribute
`static int` `GEN_MODEL__FEATURE_DELEGATION` The feature id for the 'Feature Delegation' attribute
`static int` `GEN_MODEL__FEATURE_MAP_WRAPPER_CLASS` The feature id for the 'Feature Map Wrapper Class' attribute
`static int` `GEN_MODEL__FEATURE_MAP_WRAPPER_INTERFACE` The feature id for the 'Feature Map Wrapper Interface' attribute
`static int` `GEN_MODEL__FEATURE_MAP_WRAPPER_INTERNAL_INTERFACE` The feature id for the 'Feature Map Wrapper Internal Interface' attribute
`static int` `GEN_MODEL__FONT_PROVIDERS` The feature id for the 'Font Providers' attribute
`static int` `GEN_MODEL__FORCE_OVERWRITE` The feature id for the 'Force Overwrite' attribute
`static int` `GEN_MODEL__FOREIGN_MODEL` The feature id for the 'Foreign Model' attribute list
`static int` `GEN_MODEL__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_MODEL__GEN_PACKAGES` The feature id for the 'Gen Packages' containment reference list
`static int` `GEN_MODEL__GENERATE_SCHEMA` The feature id for the 'Generate Schema' attribute
`static int` `GEN_MODEL__IMPORTER_ID` The feature id for the 'Importer ID' attribute
`static int` `GEN_MODEL__LANGUAGE` The feature id for the 'Language' attribute
`static int` `GEN_MODEL__MINIMAL_REFLECTIVE_METHODS` The feature id for the 'Minimal Reflective Methods' attribute
`static int` `GEN_MODEL__MODEL_DIRECTORY` The feature id for the 'Model Directory' attribute
`static int` `GEN_MODEL__MODEL_NAME` The feature id for the 'Model Name' attribute
`static int` `GEN_MODEL__MODEL_PLUGIN_CLASS` The feature id for the 'Model Plugin Class' attribute
`static int` `GEN_MODEL__MODEL_PLUGIN_ID` The feature id for the 'Model Plugin ID' attribute
`static int` `GEN_MODEL__MODEL_PLUGIN_VARIABLES` The feature id for the 'Model Plugin Variables' attribute list
`static int` `GEN_MODEL__NON_EXTERNALIZED_STRING_TAG` The feature id for the 'Non Externalized String Tag' attribute
`static int` `GEN_MODEL__NON_NLS_MARKERS` The feature id for the 'Non NLS Markers' attribute
`static int` `GEN_MODEL__OPTIMIZED_HAS_CHILDREN` The feature id for the 'Optimized Has Children' attribute
`static int` `GEN_MODEL__PACKED_ENUMS` The feature id for the 'Packed Enums' attribute
`static int` `GEN_MODEL__PROVIDER_ROOT_EXTENDS_CLASS` The feature id for the 'Provider Root Extends Class' attribute
`static int` `GEN_MODEL__PUBLIC_CONSTRUCTORS` The feature id for the 'Public Constructors' attribute
`static int` `GEN_MODEL__REDIRECTION` The feature id for the 'Redirection' attribute
`static int` `GEN_MODEL__REFLECTIVE_DELEGATION` The feature id for the 'Reflective Delegation' attribute
`static int` `GEN_MODEL__RICH_CLIENT_PLATFORM` The feature id for the 'Rich Client Platform' attribute
`static int` `GEN_MODEL__ROOT_EXTENDS_CLASS` The feature id for the 'Root Extends Class' attribute
`static int` `GEN_MODEL__ROOT_EXTENDS_INTERFACE` The feature id for the 'Root Extends Interface' attribute
`static int` `GEN_MODEL__ROOT_IMPLEMENTS_INTERFACE` The feature id for the 'Root Implements Interface' attribute
`static int` `GEN_MODEL__RUNTIME_COMPATIBILITY` The feature id for the 'Runtime Compatibility' attribute
`static int` `GEN_MODEL__RUNTIME_JAR` The feature id for the 'Runtime Jar' attribute
`static int` `GEN_MODEL__RUNTIME_VERSION` The feature id for the 'Runtime Version' attribute
`static int` `GEN_MODEL__STATIC_PACKAGES` The feature id for the 'Static Packages' attribute list
`static int` `GEN_MODEL__SUPPRESS_CONTAINMENT` The feature id for the 'Suppress Containment' attribute
`static int` `GEN_MODEL__SUPPRESS_EMF_META_DATA` The feature id for the 'Suppress EMF Meta Data' attribute
`static int` `GEN_MODEL__SUPPRESS_EMF_MODEL_TAGS` The feature id for the 'Suppress EMF Model Tags' attribute
`static int` `GEN_MODEL__SUPPRESS_EMF_TYPES` The feature id for the 'Suppress EMF Types' attribute
`static int` `GEN_MODEL__SUPPRESS_GEN_MODEL_ANNOTATIONS` The feature id for the 'Suppress Gen Model Annotations' attribute
`static int` `GEN_MODEL__SUPPRESS_INTERFACES` The feature id for the 'Suppress Interfaces' attribute
`static int` `GEN_MODEL__SUPPRESS_NOTIFICATION` The feature id for the 'Suppress Notification' attribute
`static int` `GEN_MODEL__SUPPRESS_UNSETTABLE` The feature id for the 'Suppress Unsettable' attribute
`static int` `GEN_MODEL__TABLE_PROVIDERS` The feature id for the 'Table Providers' attribute
`static int` `GEN_MODEL__TEMPLATE_DIRECTORY` The feature id for the 'Template Directory' attribute
`static int` `GEN_MODEL__TEMPLATE_PLUGIN_VARIABLES` The feature id for the 'Template Plugin Variables' attribute list
`static int` `GEN_MODEL__TEST_SUITE_CLASS` The feature id for the 'Test Suite Class' attribute
`static int` `GEN_MODEL__TESTS_DIRECTORY` The feature id for the 'Tests Directory' attribute
`static int` `GEN_MODEL__TESTS_PLUGIN_ID` The feature id for the 'Tests Plugin ID' attribute
`static int` `GEN_MODEL__TESTS_PLUGIN_VARIABLES` The feature id for the 'Tests Plugin Variables' attribute list
`static int` `GEN_MODEL__UPDATE_CLASSPATH` The feature id for the 'Update Classpath' attribute
`static int` `GEN_MODEL__USED_GEN_PACKAGES` The feature id for the 'Used Gen Packages' reference list
`static int` `GEN_MODEL_FEATURE_COUNT` The number of structural features of the 'Gen Model' class
`static int` `GEN_OPERATION` The meta object id for the '`Gen Operation`' class
`static int` `GEN_OPERATION__ECORE_OPERATION` The feature id for the 'Ecore Operation' reference
`static int` `GEN_OPERATION__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_OPERATION__GEN_CLASS` The feature id for the 'Gen Class' container reference
`static int` `GEN_OPERATION__GEN_PARAMETERS` The feature id for the 'Gen Parameters' containment reference list
`static int` `GEN_OPERATION__GEN_TYPE_PARAMETERS` The feature id for the 'Gen Type Parameters' containment reference list
`static int` `GEN_OPERATION_FEATURE_COUNT` The number of structural features of the 'Gen Operation' class
`static int` `GEN_PACKAGE` The meta object id for the '`Gen Package`' class
`static int` `GEN_PACKAGE__ADAPTER_FACTORY` The feature id for the 'Adapter Factory' attribute
`static int` `GEN_PACKAGE__BASE_PACKAGE` The feature id for the 'Base Package' attribute
`static int` `GEN_PACKAGE__CHILD_CREATION_EXTENDERS` The feature id for the 'Child Creation Extenders' attribute
`static int` `GEN_PACKAGE__CLASS_PACKAGE_SUFFIX` The feature id for the 'Class Package Suffix' attribute
`static int` `GEN_PACKAGE__CONTENT_TYPE_IDENTIFIER` The feature id for the 'Content Type Identifier' attribute
`static int` `GEN_PACKAGE__DATA_TYPE_CONVERTERS` The feature id for the 'Data Type Converters' attribute
`static int` `GEN_PACKAGE__DISPOSABLE_PROVIDER_FACTORY` The feature id for the 'Disposable Provider Factory' attribute
`static int` `GEN_PACKAGE__ECORE_PACKAGE` The feature id for the 'Ecore Package' reference
`static int` `GEN_PACKAGE__EXTENSIBLE_PROVIDER_FACTORY` The feature id for the 'Extensible Provider Factory' attribute
`static int` `GEN_PACKAGE__FILE_EXTENSIONS` The feature id for the 'File Extensions' attribute
`static int` `GEN_PACKAGE__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_PACKAGE__GEN_CLASSES` The feature id for the 'Gen Classes' containment reference list
`static int` `GEN_PACKAGE__GEN_CLASSIFIERS` The feature id for the 'Gen Classifiers' reference list
`static int` `GEN_PACKAGE__GEN_DATA_TYPES` The feature id for the 'Gen Data Types' containment reference list
`static int` `GEN_PACKAGE__GEN_ENUMS` The feature id for the 'Gen Enums' containment reference list
`static int` `GEN_PACKAGE__GEN_MODEL` The feature id for the 'Gen Model' container reference
`static int` `GEN_PACKAGE__GENERATE_EXAMPLE_CLASS` The feature id for the 'Generate Example Class' attribute
`static int` `GEN_PACKAGE__GENERATE_MODEL_WIZARD` The feature id for the 'Generate Model Wizard' attribute
`static int` `GEN_PACKAGE__INTERFACE_PACKAGE_SUFFIX` The feature id for the 'Interface Package Suffix' attribute
`static int` `GEN_PACKAGE__LITERALS_INTERFACE` The feature id for the 'Literals Interface' attribute
`static int` `GEN_PACKAGE__LOAD_INITIALIZATION` The feature id for the 'Load Initialization' attribute
`static int` `GEN_PACKAGE__META_DATA_PACKAGE_SUFFIX` The feature id for the 'Meta Data Package Suffix' attribute
`static int` `GEN_PACKAGE__MULTIPLE_EDITOR_PAGES` The feature id for the 'Multiple Editor Pages' attribute
`static int` `GEN_PACKAGE__NESTED_GEN_PACKAGES` The feature id for the 'Nested Gen Packages' containment reference list
`static int` `GEN_PACKAGE__PREFIX` The feature id for the 'Prefix' attribute
`static int` `GEN_PACKAGE__PRESENTATION_PACKAGE_SUFFIX` The feature id for the 'Presentation Package Suffix' attribute
`static int` `GEN_PACKAGE__PROVIDER_PACKAGE_SUFFIX` The feature id for the 'Provider Package Suffix' attribute
`static int` `GEN_PACKAGE__RESOURCE` The feature id for the 'Resource' attribute
`static int` `GEN_PACKAGE__TESTS_PACKAGE_SUFFIX` The feature id for the 'Tests Package Suffix' attribute
`static int` `GEN_PACKAGE__UTILITY_PACKAGE_SUFFIX` The feature id for the 'Utility Package Suffix' attribute
`static int` `GEN_PACKAGE_FEATURE_COUNT` The number of structural features of the 'Gen Package' class
`static int` `GEN_PARAMETER` The meta object id for the '`Gen Parameter`' class
`static int` `GEN_PARAMETER__ECORE_PARAMETER` The feature id for the 'Ecore Parameter' reference
`static int` `GEN_PARAMETER__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_PARAMETER__GEN_OPERATION` The feature id for the 'Gen Operation' container reference
`static int` `GEN_PARAMETER_FEATURE_COUNT` The number of structural features of the 'Gen Parameter' class
`static int` `GEN_PROPERTY_KIND` The meta object id for the '`Gen Property Kind`' enum
`static int` `GEN_PROVIDER_KIND` The meta object id for the '`Gen Provider Kind`' enum
`static int` `GEN_RESOURCE_KIND` The meta object id for the '`Gen Resource Kind`' enum
`static int` `GEN_RUNTIME_VERSION` The meta object id for the '`Gen Runtime Version`' enum
`static int` `GEN_TYPE_PARAMETER` The meta object id for the '`Gen Type Parameter`' class
`static int` `GEN_TYPE_PARAMETER__ECORE_TYPE_PARAMETER` The feature id for the 'Ecore Type Parameter' reference
`static int` `GEN_TYPE_PARAMETER__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_TYPE_PARAMETER_FEATURE_COUNT` The number of structural features of the 'Gen Type Parameter' class
`static int` `GEN_TYPED_ELEMENT` The meta object id for the '`Gen Typed Element`' class
`static int` `GEN_TYPED_ELEMENT__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_TYPED_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Gen Typed Element' class

Method Summary
`EReference` `getGenAnnotation_Contents()` Returns the meta object for the containment reference list '`Contents`'
`EReference` `getGenAnnotation_Details()` Returns the meta object for the map '`Details`'
`EReference` `getGenAnnotation_GenBase()` Returns the meta object for the container reference '`Gen Base`'
`EReference` `getGenAnnotation_References()` Returns the meta object for the reference list '`References`'
`EAttribute` `getGenAnnotation_Source()` Returns the meta object for the attribute '`Source`'
`EClass` `getGenAnnotation()` Returns the meta object for class '`Gen Annotation`'
`EReference` `getGenBase_GenAnnotations()` Returns the meta object for the containment reference list '`Gen Annotations`'
`EClass` `getGenBase()` Returns the meta object for class '`Gen Base`'
`EAttribute` `getGenClass_Dynamic()` Returns the meta object for the attribute '`Dynamic`'
`EReference` `getGenClass_EcoreClass()` Returns the meta object for the reference '`Ecore Class`'
`EReference` `getGenClass_GenFeatures()` Returns the meta object for the containment reference list '`Gen Features`'
`EReference` `getGenClass_GenOperations()` Returns the meta object for the containment reference list '`Gen Operations`'
`EAttribute` `getGenClass_Image()` Returns the meta object for the attribute '`Image`'
`EReference` `getGenClass_LabelFeature()` Returns the meta object for the reference '`Label Feature`'
`EAttribute` `getGenClass_Provider()` Returns the meta object for the attribute '`Provider`'
`EClass` `getGenClass()` Returns the meta object for class '`Gen Class`'
`EReference` `getGenClassifier_GenPackage()` Returns the meta object for the reference '`Gen Package`'
`EReference` `getGenClassifier_GenTypeParameters()` Returns the meta object for the containment reference list '`Gen Type Parameters`'
`EClass` `getGenClassifier()` Returns the meta object for class '`Gen Classifier`'
`EReference` `getGenDataType_EcoreDataType()` Returns the meta object for the reference '`Ecore Data Type`'
`EClass` `getGenDataType()` Returns the meta object for class '`Gen Data Type`'
`EEnum` `getGenDelegationKind()` Returns the meta object for enum '`Gen Delegation Kind`'
`EReference` `getGenEnum_EcoreEnum()` Returns the meta object for the reference '`Ecore Enum`'
`EReference` `getGenEnum_GenEnumLiterals()` Returns the meta object for the containment reference list '`Gen Enum Literals`'
`EAttribute` `getGenEnum_TypeSafeEnumCompatible()` Returns the meta object for the attribute '`Type Safe Enum Compatible`'
`EClass` `getGenEnum()` Returns the meta object for class '`Gen Enum`'
`EReference` `getGenEnumLiteral_EcoreEnumLiteral()` Returns the meta object for the reference '`Ecore Enum Literal`'
`EReference` `getGenEnumLiteral_GenEnum()` Returns the meta object for the container reference '`Gen Enum`'
`EClass` `getGenEnumLiteral()` Returns the meta object for class '`Gen Enum Literal`'
`EAttribute` `getGenFeature_Children()` Returns the meta object for the attribute '`Children`'
`EAttribute` `getGenFeature_CreateChild()` Returns the meta object for the attribute '`Create Child`'
`EReference` `getGenFeature_EcoreFeature()` Returns the meta object for the reference '`Ecore Feature`'
`EReference` `getGenFeature_GenClass()` Returns the meta object for the container reference '`Gen Class`'
`EAttribute` `getGenFeature_Notify()` Returns the meta object for the attribute '`Notify`'
`EAttribute` `getGenFeature_Property()` Returns the meta object for the attribute '`Property`'
`EAttribute` `getGenFeature_PropertyCategory()` Returns the meta object for the attribute '`Property Category`'
`EAttribute` `getGenFeature_PropertyDescription()` Returns the meta object for the attribute '`Property Description`'
`EAttribute` `getGenFeature_PropertyFilterFlags()` Returns the meta object for the attribute list '`Property Filter Flags`'
`EAttribute` `getGenFeature_PropertyMultiLine()` Returns the meta object for the attribute '`Property Multi Line`'
`EAttribute` `getGenFeature_PropertySortChoices()` Returns the meta object for the attribute '`Property Sort Choices`'
`EClass` `getGenFeature()` Returns the meta object for class '`Gen Feature`'
`EEnum` `getGenJDKLevel()` Returns the meta object for enum '`Gen JDK Level`'
`EAttribute` `getGenModel_ArrayAccessors()` Returns the meta object for the attribute '`Array Accessors`'
`EAttribute` `getGenModel_BinaryCompatibleReflectiveMethods()` Returns the meta object for the attribute '`Binary Compatible Reflective Methods`'
`EAttribute` `getGenModel_BooleanFlagsField()` Returns the meta object for the attribute '`Boolean Flags Field`'
`EAttribute` `getGenModel_BooleanFlagsReservedBits()` Returns the meta object for the attribute '`Boolean Flags Reserved Bits`'
`EAttribute` `getGenModel_BundleManifest()` Returns the meta object for the attribute '`Bundle Manifest`'
`EAttribute` `getGenModel_CodeFormatting()` Returns the meta object for the attribute '`Code Formatting`'
`EAttribute` `getGenModel_ColorProviders()` Returns the meta object for the attribute '`Color Providers`'
`EAttribute` `getGenModel_ComplianceLevel()` Returns the meta object for the attribute '`Compliance Level`'
`EAttribute` `getGenModel_ContainmentProxies()` Returns the meta object for the attribute '`Containment Proxies`'
`EAttribute` `getGenModel_CopyrightFields()` Returns the meta object for the attribute '`Copyright Fields`'
`EAttribute` `getGenModel_CopyrightText()` Returns the meta object for the attribute '`Copyright Text`'
`EAttribute` `getGenModel_CreationCommands()` Returns the meta object for the attribute '`Creation Commands`'
`EAttribute` `getGenModel_CreationIcons()` Returns the meta object for the attribute '`Creation Icons`'
`EAttribute` `getGenModel_CreationSubmenus()` Returns the meta object for the attribute '`Creation Submenus`'
`EAttribute` `getGenModel_DynamicTemplates()` Returns the meta object for the attribute '`Dynamic Templates`'
`EAttribute` `getGenModel_EditDirectory()` Returns the meta object for the attribute '`Edit Directory`'
`EAttribute` `getGenModel_EditorDirectory()` Returns the meta object for the attribute '`Editor Directory`'
`EAttribute` `getGenModel_EditorPluginClass()` Returns the meta object for the attribute '`Editor Plugin Class`'
`EAttribute` `getGenModel_EditorPluginID()` Returns the meta object for the attribute '`Editor Plugin ID`'
`EAttribute` `getGenModel_EditorPluginVariables()` Returns the meta object for the attribute list '`Editor Plugin Variables`'
`EAttribute` `getGenModel_EditPluginClass()` Returns the meta object for the attribute '`Edit Plugin Class`'
`EAttribute` `getGenModel_EditPluginID()` Returns the meta object for the attribute '`Edit Plugin ID`'
`EAttribute` `getGenModel_EditPluginVariables()` Returns the meta object for the attribute list '`Edit Plugin Variables`'
`EAttribute` `getGenModel_FacadeHelperClass()` Returns the meta object for the attribute '`Facade Helper Class`'
`EAttribute` `getGenModel_FeatureDelegation()` Returns the meta object for the attribute '`Feature Delegation`'
`EAttribute` `getGenModel_FeatureMapWrapperClass()` Returns the meta object for the attribute '`Feature Map Wrapper Class`'
`EAttribute` `getGenModel_FeatureMapWrapperInterface()` Returns the meta object for the attribute '`Feature Map Wrapper Interface`'
`EAttribute` `getGenModel_FeatureMapWrapperInternalInterface()` Returns the meta object for the attribute '`Feature Map Wrapper Internal Interface`'
`EAttribute` `getGenModel_FontProviders()` Returns the meta object for the attribute '`Font Providers`'
`EAttribute` `getGenModel_ForceOverwrite()` Returns the meta object for the attribute '`Force Overwrite`'
`EAttribute` `getGenModel_ForeignModel()` Returns the meta object for the attribute list '`Foreign Model`'
`EAttribute` `getGenModel_GenerateSchema()` Returns the meta object for the attribute '`Generate Schema`'
`EReference` `getGenModel_GenPackages()` Returns the meta object for the containment reference list '`Gen Packages`'
`EAttribute` `getGenModel_ImporterID()` Returns the meta object for the attribute '`Importer ID`'
`EAttribute` `getGenModel_Language()` Returns the meta object for the attribute '`Language`'
`EAttribute` `getGenModel_MinimalReflectiveMethods()` Returns the meta object for the attribute '`Minimal Reflective Methods`'
`EAttribute` `getGenModel_ModelDirectory()` Returns the meta object for the attribute '`Model Directory`'
`EAttribute` `getGenModel_ModelName()` Returns the meta object for the attribute '`Model Name`'
`EAttribute` `getGenModel_ModelPluginClass()` Returns the meta object for the attribute '`Model Plugin Class`'
`EAttribute` `getGenModel_ModelPluginID()` Returns the meta object for the attribute '`Model Plugin ID`'
`EAttribute` `getGenModel_ModelPluginVariables()` Returns the meta object for the attribute list '`Model Plugin Variables`'
`EAttribute` `getGenModel_NonExternalizedStringTag()` Returns the meta object for the attribute '`Non Externalized String Tag`'
`EAttribute` `getGenModel_NonNLSMarkers()` Returns the meta object for the attribute '`Non NLS Markers`'
`EAttribute` `getGenModel_OptimizedHasChildren()` Returns the meta object for the attribute '`Optimized Has Children`'
`EAttribute` `getGenModel_PackedEnums()` Returns the meta object for the attribute '`Packed Enums`'
`EAttribute` `getGenModel_ProviderRootExtendsClass()` Returns the meta object for the attribute '`Provider Root Extends Class`'
`EAttribute` `getGenModel_PublicConstructors()` Returns the meta object for the attribute '`Public Constructors`'
`EAttribute` `getGenModel_Redirection()` Returns the meta object for the attribute '`Redirection`'
`EAttribute` `getGenModel_ReflectiveDelegation()` Returns the meta object for the attribute '`Reflective Delegation`'
`EAttribute` `getGenModel_RichClientPlatform()` Returns the meta object for the attribute '`Rich Client Platform`'
`EAttribute` `getGenModel_RootExtendsClass()` Returns the meta object for the attribute '`Root Extends Class`'
`EAttribute` `getGenModel_RootExtendsInterface()` Returns the meta object for the attribute '`Root Extends Interface`'
`EAttribute` `getGenModel_RootImplementsInterface()` Returns the meta object for the attribute '`Root Implements Interface`'
`EAttribute` `getGenModel_RuntimeCompatibility()` Returns the meta object for the attribute '`Runtime Compatibility`'
`EAttribute` `getGenModel_RuntimeJar()` Returns the meta object for the attribute '`Runtime Jar`'
`EAttribute` `getGenModel_RuntimeVersion()` Returns the meta object for the attribute '`Runtime Version`'
`EAttribute` `getGenModel_StaticPackages()` Returns the meta object for the attribute list '`Static Packages`'
`EAttribute` `getGenModel_SuppressContainment()` Returns the meta object for the attribute '`Suppress Containment`'
`EAttribute` `getGenModel_SuppressEMFMetaData()` Returns the meta object for the attribute '`Suppress EMF Meta Data`'
`EAttribute` `getGenModel_SuppressEMFModelTags()` Returns the meta object for the attribute '`Suppress EMF Model Tags`'
`EAttribute` `getGenModel_SuppressEMFTypes()` Returns the meta object for the attribute '`Suppress EMF Types`'
`EAttribute` `getGenModel_SuppressGenModelAnnotations()` Returns the meta object for the attribute '`Suppress Gen Model Annotations`'
`EAttribute` `getGenModel_SuppressInterfaces()` Returns the meta object for the attribute '`Suppress Interfaces`'
`EAttribute` `getGenModel_SuppressNotification()` Returns the meta object for the attribute '`Suppress Notification`'
`EAttribute` `getGenModel_SuppressUnsettable()` Returns the meta object for the attribute '`Suppress Unsettable`'
`EAttribute` `getGenModel_TableProviders()` Returns the meta object for the attribute '`Table Providers`'
`EAttribute` `getGenModel_TemplateDirectory()` Returns the meta object for the attribute '`Template Directory`'
`EAttribute` `getGenModel_TemplatePluginVariables()` Returns the meta object for the attribute list '`Template Plugin Variables`'
`EAttribute` `getGenModel_TestsDirectory()` Returns the meta object for the attribute '`Tests Directory`'
`EAttribute` `getGenModel_TestsPluginID()` Returns the meta object for the attribute '`Tests Plugin ID`'
`EAttribute` `getGenModel_TestsPluginVariables()` Returns the meta object for the attribute list '`Tests Plugin Variables`'
`EAttribute` `getGenModel_TestSuiteClass()` Returns the meta object for the attribute '`Test Suite Class`'
`EAttribute` `getGenModel_UpdateClasspath()` Returns the meta object for the attribute '`Update Classpath`'
`EReference` `getGenModel_UsedGenPackages()` Returns the meta object for the reference list '`Used Gen Packages`'
`EClass` `getGenModel()` Returns the meta object for class '`Gen Model`'
`GenModelFactory` `getGenModelFactory()` Returns the factory that creates the instances of the model
`EReference` `getGenOperation_EcoreOperation()` Returns the meta object for the reference '`Ecore Operation`'
`EReference` `getGenOperation_GenClass()` Returns the meta object for the container reference '`Gen Class`'
`EReference` `getGenOperation_GenParameters()` Returns the meta object for the containment reference list '`Gen Parameters`'
`EReference` `getGenOperation_GenTypeParameters()` Returns the meta object for the containment reference list '`Gen Type Parameters`'
`EClass` `getGenOperation()` Returns the meta object for class '`Gen Operation`'
`EAttribute` `getGenPackage_AdapterFactory()` Returns the meta object for the attribute '`Adapter Factory`'
`EAttribute` `getGenPackage_BasePackage()` Returns the meta object for the attribute '`Base Package`'
`EAttribute` `getGenPackage_ChildCreationExtenders()` Returns the meta object for the attribute '`Child Creation Extenders`'
`EAttribute` `getGenPackage_ClassPackageSuffix()` Returns the meta object for the attribute '`Class Package Suffix`'
`EAttribute` `getGenPackage_ContentTypeIdentifier()` Returns the meta object for the attribute '`Content Type Identifier`'
`EAttribute` `getGenPackage_DataTypeConverters()` Returns the meta object for the attribute '`Data Type Converters`'
`EAttribute` `getGenPackage_DisposableProviderFactory()` Returns the meta object for the attribute '`Disposable Provider Factory`'
`EReference` `getGenPackage_EcorePackage()` Returns the meta object for the reference '`Ecore Package`'
`EAttribute` `getGenPackage_ExtensibleProviderFactory()` Returns the meta object for the attribute '`Extensible Provider Factory`'
`EAttribute` `getGenPackage_FileExtensions()` Returns the meta object for the attribute '`File Extensions`'
`EReference` `getGenPackage_GenClasses()` Returns the meta object for the containment reference list '`Gen Classes`'
`EReference` `getGenPackage_GenClassifiers()` Returns the meta object for the reference list '`Gen Classifiers`'
`EReference` `getGenPackage_GenDataTypes()` Returns the meta object for the containment reference list '`Gen Data Types`'
`EReference` `getGenPackage_GenEnums()` Returns the meta object for the containment reference list '`Gen Enums`'
`EAttribute` `getGenPackage_GenerateExampleClass()` Returns the meta object for the attribute '`Generate Example Class`'
`EAttribute` `getGenPackage_GenerateModelWizard()` Returns the meta object for the attribute '`Generate Model Wizard`'
`EReference` `getGenPackage_GenModel()` Returns the meta object for the container reference '`Gen Model`'
`EAttribute` `getGenPackage_InterfacePackageSuffix()` Returns the meta object for the attribute '`Interface Package Suffix`'
`EAttribute` `getGenPackage_LiteralsInterface()` Returns the meta object for the attribute '`Literals Interface`'
`EAttribute` `getGenPackage_LoadInitialization()` Returns the meta object for the attribute '`Load Initialization`'
`EAttribute` `getGenPackage_MetaDataPackageSuffix()` Returns the meta object for the attribute '`Meta Data Package Suffix`'
`EAttribute` `getGenPackage_MultipleEditorPages()` Returns the meta object for the attribute '`Multiple Editor Pages`'
`EReference` `getGenPackage_NestedGenPackages()` Returns the meta object for the containment reference list '`Nested Gen Packages`'
`EAttribute` `getGenPackage_Prefix()` Returns the meta object for the attribute '`Prefix`'
`EAttribute` `getGenPackage_PresentationPackageSuffix()` Returns the meta object for the attribute '`Presentation Package Suffix`'
`EAttribute` `getGenPackage_ProviderPackageSuffix()` Returns the meta object for the attribute '`Provider Package Suffix`'
`EAttribute` `getGenPackage_Resource()` Returns the meta object for the attribute '`Resource`'
`EAttribute` `getGenPackage_TestsPackageSuffix()` Returns the meta object for the attribute '`Tests Package Suffix`'
`EAttribute` `getGenPackage_UtilityPackageSuffix()` Returns the meta object for the attribute '`Utility Package Suffix`'
`EClass` `getGenPackage()` Returns the meta object for class '`Gen Package`'
`EReference` `getGenParameter_EcoreParameter()` Returns the meta object for the reference '`Ecore Parameter`'
`EReference` `getGenParameter_GenOperation()` Returns the meta object for the container reference '`Gen Operation`'
`EClass` `getGenParameter()` Returns the meta object for class '`Gen Parameter`'
`EEnum` `getGenPropertyKind()` Returns the meta object for enum '`Gen Property Kind`'
`EEnum` `getGenProviderKind()` Returns the meta object for enum '`Gen Provider Kind`'
`EEnum` `getGenResourceKind()` Returns the meta object for enum '`Gen Resource Kind`'
`EEnum` `getGenRuntimeVersion()` Returns the meta object for enum '`Gen Runtime Version`'
`EClass` `getGenTypedElement()` Returns the meta object for class '`Gen Typed Element`'
`EReference` `getGenTypeParameter_EcoreTypeParameter()` Returns the meta object for the reference '`Ecore Type Parameter`'
`EClass` `getGenTypeParameter()` Returns the meta object for class '`Gen Type Parameter`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eCONTENT_TYPE

    static final java.lang.String eCONTENT_TYPE

  The package content type ID.

  Since:
    2.4
  See Also:
    Constant Field Values

### eINSTANCE

    static final GenModelPackage eINSTANCE

  The singleton instance of the package.

### GEN_BASE

    static final int GEN_BASE

  The meta object id for the '`Gen Base`' class.

  See Also:
    `GenBaseImpl`, `GenModelPackageImpl.getGenBase()`, Constant Field Values

### GEN_BASE__GEN_ANNOTATIONS

    static final int GEN_BASE__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_BASE_FEATURE_COUNT

    static final int GEN_BASE_FEATURE_COUNT

  The number of structural features of the 'Gen Base' class.

  See Also:
    Constant Field Values

### GEN_MODEL

    static final int GEN_MODEL

  The meta object id for the '`Gen Model`' class.

  See Also:
    `GenModelImpl`, `GenModelPackageImpl.getGenModel()`, Constant Field Values

### GEN_MODEL__GEN_ANNOTATIONS

    static final int GEN_MODEL__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_MODEL__COPYRIGHT_TEXT

    static final int GEN_MODEL__COPYRIGHT_TEXT

  The feature id for the 'Copyright Text' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__MODEL_DIRECTORY

    static final int GEN_MODEL__MODEL_DIRECTORY

  The feature id for the 'Model Directory' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__CREATION_COMMANDS

    static final int GEN_MODEL__CREATION_COMMANDS

  The feature id for the 'Creation Commands' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__CREATION_ICONS

    static final int GEN_MODEL__CREATION_ICONS

  The feature id for the 'Creation Icons' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__CREATION_SUBMENUS

    static final int GEN_MODEL__CREATION_SUBMENUS

  The feature id for the 'Creation Submenus' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__EDIT_DIRECTORY

    static final int GEN_MODEL__EDIT_DIRECTORY

  The feature id for the 'Edit Directory' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__EDITOR_DIRECTORY

    static final int GEN_MODEL__EDITOR_DIRECTORY

  The feature id for the 'Editor Directory' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__MODEL_PLUGIN_ID

    static final int GEN_MODEL__MODEL_PLUGIN_ID

  The feature id for the 'Model Plugin ID' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__TEMPLATE_DIRECTORY

    static final int GEN_MODEL__TEMPLATE_DIRECTORY

  The feature id for the 'Template Directory' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__RUNTIME_JAR

    static final int GEN_MODEL__RUNTIME_JAR

  The feature id for the 'Runtime Jar' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__FOREIGN_MODEL

    static final int GEN_MODEL__FOREIGN_MODEL

  The feature id for the 'Foreign Model' attribute list.

  See Also:
    Constant Field Values

### GEN_MODEL__DYNAMIC_TEMPLATES

    static final int GEN_MODEL__DYNAMIC_TEMPLATES

  The feature id for the 'Dynamic Templates' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__REDIRECTION

    static final int GEN_MODEL__REDIRECTION

  The feature id for the 'Redirection' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__FORCE_OVERWRITE

    static final int GEN_MODEL__FORCE_OVERWRITE

  The feature id for the 'Force Overwrite' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__NON_EXTERNALIZED_STRING_TAG

    static final int GEN_MODEL__NON_EXTERNALIZED_STRING_TAG

  The feature id for the 'Non Externalized String Tag' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__MODEL_NAME

    static final int GEN_MODEL__MODEL_NAME

  The feature id for the 'Model Name' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__MODEL_PLUGIN_CLASS

    static final int GEN_MODEL__MODEL_PLUGIN_CLASS

  The feature id for the 'Model Plugin Class' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__EDIT_PLUGIN_CLASS

    static final int GEN_MODEL__EDIT_PLUGIN_CLASS

  The feature id for the 'Edit Plugin Class' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__EDITOR_PLUGIN_CLASS

    static final int GEN_MODEL__EDITOR_PLUGIN_CLASS

  The feature id for the 'Editor Plugin Class' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__UPDATE_CLASSPATH

    static final int GEN_MODEL__UPDATE_CLASSPATH

  The feature id for the 'Update Classpath' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__GENERATE_SCHEMA

    static final int GEN_MODEL__GENERATE_SCHEMA

  The feature id for the 'Generate Schema' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__NON_NLS_MARKERS

    static final int GEN_MODEL__NON_NLS_MARKERS

  The feature id for the 'Non NLS Markers' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__STATIC_PACKAGES

    static final int GEN_MODEL__STATIC_PACKAGES

  The feature id for the 'Static Packages' attribute list.

  See Also:
    Constant Field Values

### GEN_MODEL__MODEL_PLUGIN_VARIABLES

    static final int GEN_MODEL__MODEL_PLUGIN_VARIABLES

  The feature id for the 'Model Plugin Variables' attribute list.

  See Also:
    Constant Field Values

### GEN_MODEL__ROOT_EXTENDS_INTERFACE

    static final int GEN_MODEL__ROOT_EXTENDS_INTERFACE

  The feature id for the 'Root Extends Interface' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__ROOT_EXTENDS_CLASS

    static final int GEN_MODEL__ROOT_EXTENDS_CLASS

  The feature id for the 'Root Extends Class' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__ROOT_IMPLEMENTS_INTERFACE

    static final int GEN_MODEL__ROOT_IMPLEMENTS_INTERFACE

  The feature id for the 'Root Implements Interface' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__SUPPRESS_EMF_TYPES

    static final int GEN_MODEL__SUPPRESS_EMF_TYPES

  The feature id for the 'Suppress EMF Types' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__SUPPRESS_EMF_META_DATA

    static final int GEN_MODEL__SUPPRESS_EMF_META_DATA

  The feature id for the 'Suppress EMF Meta Data' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__SUPPRESS_EMF_MODEL_TAGS

    static final int GEN_MODEL__SUPPRESS_EMF_MODEL_TAGS

  The feature id for the 'Suppress EMF Model Tags' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__SUPPRESS_INTERFACES

    static final int GEN_MODEL__SUPPRESS_INTERFACES

  The feature id for the 'Suppress Interfaces' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__FEATURE_MAP_WRAPPER_INTERFACE

    static final int GEN_MODEL__FEATURE_MAP_WRAPPER_INTERFACE

  The feature id for the 'Feature Map Wrapper Interface' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__FEATURE_MAP_WRAPPER_INTERNAL_INTERFACE

    static final int GEN_MODEL__FEATURE_MAP_WRAPPER_INTERNAL_INTERFACE

  The feature id for the 'Feature Map Wrapper Internal Interface' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__FEATURE_MAP_WRAPPER_CLASS

    static final int GEN_MODEL__FEATURE_MAP_WRAPPER_CLASS

  The feature id for the 'Feature Map Wrapper Class' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__RUNTIME_COMPATIBILITY

    static final int GEN_MODEL__RUNTIME_COMPATIBILITY

  The feature id for the 'Runtime Compatibility' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__RICH_CLIENT_PLATFORM

    static final int GEN_MODEL__RICH_CLIENT_PLATFORM

  The feature id for the 'Rich Client Platform' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__REFLECTIVE_DELEGATION

    static final int GEN_MODEL__REFLECTIVE_DELEGATION

  The feature id for the 'Reflective Delegation' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__CODE_FORMATTING

    static final int GEN_MODEL__CODE_FORMATTING

  The feature id for the 'Code Formatting' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__TESTS_DIRECTORY

    static final int GEN_MODEL__TESTS_DIRECTORY

  The feature id for the 'Tests Directory' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__TEST_SUITE_CLASS

    static final int GEN_MODEL__TEST_SUITE_CLASS

  The feature id for the 'Test Suite Class' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__BOOLEAN_FLAGS_FIELD

    static final int GEN_MODEL__BOOLEAN_FLAGS_FIELD

  The feature id for the 'Boolean Flags Field' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__BOOLEAN_FLAGS_RESERVED_BITS

    static final int GEN_MODEL__BOOLEAN_FLAGS_RESERVED_BITS

  The feature id for the 'Boolean Flags Reserved Bits' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__IMPORTER_ID

    static final int GEN_MODEL__IMPORTER_ID

  The feature id for the 'Importer ID' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__BUNDLE_MANIFEST

    static final int GEN_MODEL__BUNDLE_MANIFEST

  The feature id for the 'Bundle Manifest' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__FEATURE_DELEGATION

    static final int GEN_MODEL__FEATURE_DELEGATION

  The feature id for the 'Feature Delegation' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__CONTAINMENT_PROXIES

    static final int GEN_MODEL__CONTAINMENT_PROXIES

  The feature id for the 'Containment Proxies' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__MINIMAL_REFLECTIVE_METHODS

    static final int GEN_MODEL__MINIMAL_REFLECTIVE_METHODS

  The feature id for the 'Minimal Reflective Methods' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__SUPPRESS_CONTAINMENT

    static final int GEN_MODEL__SUPPRESS_CONTAINMENT

  The feature id for the 'Suppress Containment' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__SUPPRESS_NOTIFICATION

    static final int GEN_MODEL__SUPPRESS_NOTIFICATION

  The feature id for the 'Suppress Notification' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__ARRAY_ACCESSORS

    static final int GEN_MODEL__ARRAY_ACCESSORS

  The feature id for the 'Array Accessors' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__SUPPRESS_UNSETTABLE

    static final int GEN_MODEL__SUPPRESS_UNSETTABLE

  The feature id for the 'Suppress Unsettable' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__FACADE_HELPER_CLASS

    static final int GEN_MODEL__FACADE_HELPER_CLASS

  The feature id for the 'Facade Helper Class' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__COMPLIANCE_LEVEL

    static final int GEN_MODEL__COMPLIANCE_LEVEL

  The feature id for the 'Compliance Level' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__SUPPRESS_GEN_MODEL_ANNOTATIONS

    static final int GEN_MODEL__SUPPRESS_GEN_MODEL_ANNOTATIONS

  The feature id for the 'Suppress Gen Model Annotations' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__COPYRIGHT_FIELDS

    static final int GEN_MODEL__COPYRIGHT_FIELDS

  The feature id for the 'Copyright Fields' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__BINARY_COMPATIBLE_REFLECTIVE_METHODS

    static final int GEN_MODEL__BINARY_COMPATIBLE_REFLECTIVE_METHODS

  The feature id for the 'Binary Compatible Reflective Methods' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__PUBLIC_CONSTRUCTORS

    static final int GEN_MODEL__PUBLIC_CONSTRUCTORS

  The feature id for the 'Public Constructors' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__TEMPLATE_PLUGIN_VARIABLES

    static final int GEN_MODEL__TEMPLATE_PLUGIN_VARIABLES

  The feature id for the 'Template Plugin Variables' attribute list.

  See Also:
    Constant Field Values

### GEN_MODEL__PROVIDER_ROOT_EXTENDS_CLASS

    static final int GEN_MODEL__PROVIDER_ROOT_EXTENDS_CLASS

  The feature id for the 'Provider Root Extends Class' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__EDIT_PLUGIN_ID

    static final int GEN_MODEL__EDIT_PLUGIN_ID

  The feature id for the 'Edit Plugin ID' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__EDIT_PLUGIN_VARIABLES

    static final int GEN_MODEL__EDIT_PLUGIN_VARIABLES

  The feature id for the 'Edit Plugin Variables' attribute list.

  See Also:
    Constant Field Values

### GEN_MODEL__EDITOR_PLUGIN_ID

    static final int GEN_MODEL__EDITOR_PLUGIN_ID

  The feature id for the 'Editor Plugin ID' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__EDITOR_PLUGIN_VARIABLES

    static final int GEN_MODEL__EDITOR_PLUGIN_VARIABLES

  The feature id for the 'Editor Plugin Variables' attribute list.

  See Also:
    Constant Field Values

### GEN_MODEL__TESTS_PLUGIN_ID

    static final int GEN_MODEL__TESTS_PLUGIN_ID

  The feature id for the 'Tests Plugin ID' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__TESTS_PLUGIN_VARIABLES

    static final int GEN_MODEL__TESTS_PLUGIN_VARIABLES

  The feature id for the 'Tests Plugin Variables' attribute list.

  See Also:
    Constant Field Values

### GEN_MODEL__OPTIMIZED_HAS_CHILDREN

    static final int GEN_MODEL__OPTIMIZED_HAS_CHILDREN

  The feature id for the 'Optimized Has Children' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__TABLE_PROVIDERS

    static final int GEN_MODEL__TABLE_PROVIDERS

  The feature id for the 'Table Providers' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__COLOR_PROVIDERS

    static final int GEN_MODEL__COLOR_PROVIDERS

  The feature id for the 'Color Providers' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__FONT_PROVIDERS

    static final int GEN_MODEL__FONT_PROVIDERS

  The feature id for the 'Font Providers' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__RUNTIME_VERSION

    static final int GEN_MODEL__RUNTIME_VERSION

  The feature id for the 'Runtime Version' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__LANGUAGE

    static final int GEN_MODEL__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__PACKED_ENUMS

    static final int GEN_MODEL__PACKED_ENUMS

  The feature id for the 'Packed Enums' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__GEN_PACKAGES

    static final int GEN_MODEL__GEN_PACKAGES

  The feature id for the 'Gen Packages' containment reference list.

  See Also:
    Constant Field Values

### GEN_MODEL__USED_GEN_PACKAGES

    static final int GEN_MODEL__USED_GEN_PACKAGES

  The feature id for the 'Used Gen Packages' reference list.

  See Also:
    Constant Field Values

### GEN_MODEL_FEATURE_COUNT

    static final int GEN_MODEL_FEATURE_COUNT

  The number of structural features of the 'Gen Model' class.

  See Also:
    Constant Field Values

### GEN_PACKAGE

    static final int GEN_PACKAGE

  The meta object id for the '`Gen Package`' class.

  See Also:
    `GenPackageImpl`, `GenModelPackageImpl.getGenPackage()`, Constant Field Values

### GEN_PACKAGE__GEN_ANNOTATIONS

    static final int GEN_PACKAGE__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_PACKAGE__PREFIX

    static final int GEN_PACKAGE__PREFIX

  The feature id for the 'Prefix' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__BASE_PACKAGE

    static final int GEN_PACKAGE__BASE_PACKAGE

  The feature id for the 'Base Package' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__RESOURCE

    static final int GEN_PACKAGE__RESOURCE

  The feature id for the 'Resource' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__DISPOSABLE_PROVIDER_FACTORY

    static final int GEN_PACKAGE__DISPOSABLE_PROVIDER_FACTORY

  The feature id for the 'Disposable Provider Factory' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__ADAPTER_FACTORY

    static final int GEN_PACKAGE__ADAPTER_FACTORY

  The feature id for the 'Adapter Factory' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__LOAD_INITIALIZATION

    static final int GEN_PACKAGE__LOAD_INITIALIZATION

  The feature id for the 'Load Initialization' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__INTERFACE_PACKAGE_SUFFIX

    static final int GEN_PACKAGE__INTERFACE_PACKAGE_SUFFIX

  The feature id for the 'Interface Package Suffix' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__META_DATA_PACKAGE_SUFFIX

    static final int GEN_PACKAGE__META_DATA_PACKAGE_SUFFIX

  The feature id for the 'Meta Data Package Suffix' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__CLASS_PACKAGE_SUFFIX

    static final int GEN_PACKAGE__CLASS_PACKAGE_SUFFIX

  The feature id for the 'Class Package Suffix' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__UTILITY_PACKAGE_SUFFIX

    static final int GEN_PACKAGE__UTILITY_PACKAGE_SUFFIX

  The feature id for the 'Utility Package Suffix' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__PROVIDER_PACKAGE_SUFFIX

    static final int GEN_PACKAGE__PROVIDER_PACKAGE_SUFFIX

  The feature id for the 'Provider Package Suffix' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__PRESENTATION_PACKAGE_SUFFIX

    static final int GEN_PACKAGE__PRESENTATION_PACKAGE_SUFFIX

  The feature id for the 'Presentation Package Suffix' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__TESTS_PACKAGE_SUFFIX

    static final int GEN_PACKAGE__TESTS_PACKAGE_SUFFIX

  The feature id for the 'Tests Package Suffix' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__GENERATE_EXAMPLE_CLASS

    static final int GEN_PACKAGE__GENERATE_EXAMPLE_CLASS

  The feature id for the 'Generate Example Class' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__LITERALS_INTERFACE

    static final int GEN_PACKAGE__LITERALS_INTERFACE

  The feature id for the 'Literals Interface' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__DATA_TYPE_CONVERTERS

    static final int GEN_PACKAGE__DATA_TYPE_CONVERTERS

  The feature id for the 'Data Type Converters' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__MULTIPLE_EDITOR_PAGES

    static final int GEN_PACKAGE__MULTIPLE_EDITOR_PAGES

  The feature id for the 'Multiple Editor Pages' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__GENERATE_MODEL_WIZARD

    static final int GEN_PACKAGE__GENERATE_MODEL_WIZARD

  The feature id for the 'Generate Model Wizard' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__EXTENSIBLE_PROVIDER_FACTORY

    static final int GEN_PACKAGE__EXTENSIBLE_PROVIDER_FACTORY

  The feature id for the 'Extensible Provider Factory' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__CHILD_CREATION_EXTENDERS

    static final int GEN_PACKAGE__CHILD_CREATION_EXTENDERS

  The feature id for the 'Child Creation Extenders' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__CONTENT_TYPE_IDENTIFIER

    static final int GEN_PACKAGE__CONTENT_TYPE_IDENTIFIER

  The feature id for the 'Content Type Identifier' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__FILE_EXTENSIONS

    static final int GEN_PACKAGE__FILE_EXTENSIONS

  The feature id for the 'File Extensions' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__ECORE_PACKAGE

    static final int GEN_PACKAGE__ECORE_PACKAGE

  The feature id for the 'Ecore Package' reference.

  See Also:
    Constant Field Values

### GEN_PACKAGE__GEN_MODEL

    static final int GEN_PACKAGE__GEN_MODEL

  The feature id for the 'Gen Model' container reference.

  See Also:
    Constant Field Values

### GEN_PACKAGE__GEN_ENUMS

    static final int GEN_PACKAGE__GEN_ENUMS

  The feature id for the 'Gen Enums' containment reference list.

  See Also:
    Constant Field Values

### GEN_PACKAGE__GEN_DATA_TYPES

    static final int GEN_PACKAGE__GEN_DATA_TYPES

  The feature id for the 'Gen Data Types' containment reference list.

  See Also:
    Constant Field Values

### GEN_PACKAGE__GEN_CLASSES

    static final int GEN_PACKAGE__GEN_CLASSES

  The feature id for the 'Gen Classes' containment reference list.

  See Also:
    Constant Field Values

### GEN_PACKAGE__NESTED_GEN_PACKAGES

    static final int GEN_PACKAGE__NESTED_GEN_PACKAGES

  The feature id for the 'Nested Gen Packages' containment reference list.

  See Also:
    Constant Field Values

### GEN_PACKAGE__GEN_CLASSIFIERS

    static final int GEN_PACKAGE__GEN_CLASSIFIERS

  The feature id for the 'Gen Classifiers' reference list.

  See Also:
    Constant Field Values

### GEN_PACKAGE_FEATURE_COUNT

    static final int GEN_PACKAGE_FEATURE_COUNT

  The number of structural features of the 'Gen Package' class.

  See Also:
    Constant Field Values

### GEN_CLASSIFIER

    static final int GEN_CLASSIFIER

  The meta object id for the '`Gen Classifier`' class.

  See Also:
    `GenClassifierImpl`, `GenModelPackageImpl.getGenClassifier()`, Constant Field Values

### GEN_CLASSIFIER__GEN_ANNOTATIONS

    static final int GEN_CLASSIFIER__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_CLASSIFIER__GEN_PACKAGE

    static final int GEN_CLASSIFIER__GEN_PACKAGE

  The feature id for the 'Gen Package' reference.

  See Also:
    Constant Field Values

### GEN_CLASSIFIER__GEN_TYPE_PARAMETERS

    static final int GEN_CLASSIFIER__GEN_TYPE_PARAMETERS

  The feature id for the 'Gen Type Parameters' containment reference list.

  See Also:
    Constant Field Values

### GEN_CLASSIFIER_FEATURE_COUNT

    static final int GEN_CLASSIFIER_FEATURE_COUNT

  The number of structural features of the 'Gen Classifier' class.

  See Also:
    Constant Field Values

### GEN_CLASS

    static final int GEN_CLASS

  The meta object id for the '`Gen Class`' class.

  See Also:
    `GenClassImpl`, `GenModelPackageImpl.getGenClass()`, Constant Field Values

### GEN_CLASS__GEN_ANNOTATIONS

    static final int GEN_CLASS__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_CLASS__GEN_PACKAGE

    static final int GEN_CLASS__GEN_PACKAGE

  The feature id for the 'Gen Package' reference.

  See Also:
    Constant Field Values

### GEN_CLASS__GEN_TYPE_PARAMETERS

    static final int GEN_CLASS__GEN_TYPE_PARAMETERS

  The feature id for the 'Gen Type Parameters' containment reference list.

  See Also:
    Constant Field Values

### GEN_CLASS__PROVIDER

    static final int GEN_CLASS__PROVIDER

  The feature id for the 'Provider' attribute.

  See Also:
    Constant Field Values

### GEN_CLASS__IMAGE

    static final int GEN_CLASS__IMAGE

  The feature id for the 'Image' attribute.

  See Also:
    Constant Field Values

### GEN_CLASS__DYNAMIC

    static final int GEN_CLASS__DYNAMIC

  The feature id for the 'Dynamic' attribute.

  See Also:
    Constant Field Values

### GEN_CLASS__ECORE_CLASS

    static final int GEN_CLASS__ECORE_CLASS

  The feature id for the 'Ecore Class' reference.

  See Also:
    Constant Field Values

### GEN_CLASS__GEN_FEATURES

    static final int GEN_CLASS__GEN_FEATURES

  The feature id for the 'Gen Features' containment reference list.

  See Also:
    Constant Field Values

### GEN_CLASS__GEN_OPERATIONS

    static final int GEN_CLASS__GEN_OPERATIONS

  The feature id for the 'Gen Operations' containment reference list.

  See Also:
    Constant Field Values

### GEN_CLASS__LABEL_FEATURE

    static final int GEN_CLASS__LABEL_FEATURE

  The feature id for the 'Label Feature' reference.

  See Also:
    Constant Field Values

### GEN_CLASS_FEATURE_COUNT

    static final int GEN_CLASS_FEATURE_COUNT

  The number of structural features of the 'Gen Class' class.

  See Also:
    Constant Field Values

### GEN_TYPED_ELEMENT

    static final int GEN_TYPED_ELEMENT

  The meta object id for the '`Gen Typed Element`' class.

  See Also:
    `GenTypedElementImpl`, `GenModelPackageImpl.getGenTypedElement()`, Constant Field Values

### GEN_TYPED_ELEMENT__GEN_ANNOTATIONS

    static final int GEN_TYPED_ELEMENT__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_TYPED_ELEMENT_FEATURE_COUNT

    static final int GEN_TYPED_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Gen Typed Element' class.

  See Also:
    Constant Field Values

### GEN_FEATURE

    static final int GEN_FEATURE

  The meta object id for the '`Gen Feature`' class.

  See Also:
    `GenFeatureImpl`, `GenModelPackageImpl.getGenFeature()`, Constant Field Values

### GEN_FEATURE__GEN_ANNOTATIONS

    static final int GEN_FEATURE__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_FEATURE__PROPERTY

    static final int GEN_FEATURE__PROPERTY

  The feature id for the 'Property' attribute.

  See Also:
    Constant Field Values

### GEN_FEATURE__NOTIFY

    static final int GEN_FEATURE__NOTIFY

  The feature id for the 'Notify' attribute.

  See Also:
    Constant Field Values

### GEN_FEATURE__CHILDREN

    static final int GEN_FEATURE__CHILDREN

  The feature id for the 'Children' attribute.

  See Also:
    Constant Field Values

### GEN_FEATURE__CREATE_CHILD

    static final int GEN_FEATURE__CREATE_CHILD

  The feature id for the 'Create Child' attribute.

  See Also:
    Constant Field Values

### GEN_FEATURE__PROPERTY_CATEGORY

    static final int GEN_FEATURE__PROPERTY_CATEGORY

  The feature id for the 'Property Category' attribute.

  See Also:
    Constant Field Values

### GEN_FEATURE__PROPERTY_FILTER_FLAGS

    static final int GEN_FEATURE__PROPERTY_FILTER_FLAGS

  The feature id for the 'Property Filter Flags' attribute list.

  See Also:
    Constant Field Values

### GEN_FEATURE__PROPERTY_DESCRIPTION

    static final int GEN_FEATURE__PROPERTY_DESCRIPTION

  The feature id for the 'Property Description' attribute.

  See Also:
    Constant Field Values

### GEN_FEATURE__PROPERTY_MULTI_LINE

    static final int GEN_FEATURE__PROPERTY_MULTI_LINE

  The feature id for the 'Property Multi Line' attribute.

  See Also:
    Constant Field Values

### GEN_FEATURE__PROPERTY_SORT_CHOICES

    static final int GEN_FEATURE__PROPERTY_SORT_CHOICES

  The feature id for the 'Property Sort Choices' attribute.

  See Also:
    Constant Field Values

### GEN_FEATURE__GEN_CLASS

    static final int GEN_FEATURE__GEN_CLASS

  The feature id for the 'Gen Class' container reference.

  See Also:
    Constant Field Values

### GEN_FEATURE__ECORE_FEATURE

    static final int GEN_FEATURE__ECORE_FEATURE

  The feature id for the 'Ecore Feature' reference.

  See Also:
    Constant Field Values

### GEN_FEATURE_FEATURE_COUNT

    static final int GEN_FEATURE_FEATURE_COUNT

  The number of structural features of the 'Gen Feature' class.

  See Also:
    Constant Field Values

### GEN_DATA_TYPE

    static final int GEN_DATA_TYPE

  The meta object id for the '`Gen Data Type`' class.

  See Also:
    `GenDataTypeImpl`, `GenModelPackageImpl.getGenDataType()`, Constant Field Values

### GEN_DATA_TYPE__GEN_ANNOTATIONS

    static final int GEN_DATA_TYPE__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_DATA_TYPE__GEN_PACKAGE

    static final int GEN_DATA_TYPE__GEN_PACKAGE

  The feature id for the 'Gen Package' reference.

  See Also:
    Constant Field Values

### GEN_DATA_TYPE__GEN_TYPE_PARAMETERS

    static final int GEN_DATA_TYPE__GEN_TYPE_PARAMETERS

  The feature id for the 'Gen Type Parameters' containment reference list.

  See Also:
    Constant Field Values

### GEN_DATA_TYPE__ECORE_DATA_TYPE

    static final int GEN_DATA_TYPE__ECORE_DATA_TYPE

  The feature id for the 'Ecore Data Type' reference.

  See Also:
    Constant Field Values

### GEN_DATA_TYPE_FEATURE_COUNT

    static final int GEN_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Gen Data Type' class.

  See Also:
    Constant Field Values

### GEN_ENUM

    static final int GEN_ENUM

  The meta object id for the '`Gen Enum`' class.

  See Also:
    `GenEnumImpl`, `GenModelPackageImpl.getGenEnum()`, Constant Field Values

### GEN_ENUM__GEN_ANNOTATIONS

    static final int GEN_ENUM__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_ENUM__GEN_PACKAGE

    static final int GEN_ENUM__GEN_PACKAGE

  The feature id for the 'Gen Package' reference.

  See Also:
    Constant Field Values

### GEN_ENUM__GEN_TYPE_PARAMETERS

    static final int GEN_ENUM__GEN_TYPE_PARAMETERS

  The feature id for the 'Gen Type Parameters' containment reference list.

  See Also:
    Constant Field Values

### GEN_ENUM__ECORE_DATA_TYPE

    static final int GEN_ENUM__ECORE_DATA_TYPE

  The feature id for the 'Ecore Data Type' reference.

  See Also:
    Constant Field Values

### GEN_ENUM__TYPE_SAFE_ENUM_COMPATIBLE

    static final int GEN_ENUM__TYPE_SAFE_ENUM_COMPATIBLE

  The feature id for the 'Type Safe Enum Compatible' attribute.

  See Also:
    Constant Field Values

### GEN_ENUM__ECORE_ENUM

    static final int GEN_ENUM__ECORE_ENUM

  The feature id for the 'Ecore Enum' reference.

  See Also:
    Constant Field Values

### GEN_ENUM__GEN_ENUM_LITERALS

    static final int GEN_ENUM__GEN_ENUM_LITERALS

  The feature id for the 'Gen Enum Literals' containment reference list.

  See Also:
    Constant Field Values

### GEN_ENUM_FEATURE_COUNT

    static final int GEN_ENUM_FEATURE_COUNT

  The number of structural features of the 'Gen Enum' class.

  See Also:
    Constant Field Values

### GEN_ENUM_LITERAL

    static final int GEN_ENUM_LITERAL

  The meta object id for the '`Gen Enum Literal`' class.

  See Also:
    `GenEnumLiteralImpl`, `GenModelPackageImpl.getGenEnumLiteral()`, Constant Field Values

### GEN_ENUM_LITERAL__GEN_ANNOTATIONS

    static final int GEN_ENUM_LITERAL__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_ENUM_LITERAL__GEN_ENUM

    static final int GEN_ENUM_LITERAL__GEN_ENUM

  The feature id for the 'Gen Enum' container reference.

  See Also:
    Constant Field Values

### GEN_ENUM_LITERAL__ECORE_ENUM_LITERAL

    static final int GEN_ENUM_LITERAL__ECORE_ENUM_LITERAL

  The feature id for the 'Ecore Enum Literal' reference.

  See Also:
    Constant Field Values

### GEN_ENUM_LITERAL_FEATURE_COUNT

    static final int GEN_ENUM_LITERAL_FEATURE_COUNT

  The number of structural features of the 'Gen Enum Literal' class.

  See Also:
    Constant Field Values

### GEN_OPERATION

    static final int GEN_OPERATION

  The meta object id for the '`Gen Operation`' class.

  See Also:
    `GenOperationImpl`, `GenModelPackageImpl.getGenOperation()`, Constant Field Values

### GEN_OPERATION__GEN_ANNOTATIONS

    static final int GEN_OPERATION__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_OPERATION__GEN_CLASS

    static final int GEN_OPERATION__GEN_CLASS

  The feature id for the 'Gen Class' container reference.

  See Also:
    Constant Field Values

### GEN_OPERATION__ECORE_OPERATION

    static final int GEN_OPERATION__ECORE_OPERATION

  The feature id for the 'Ecore Operation' reference.

  See Also:
    Constant Field Values

### GEN_OPERATION__GEN_PARAMETERS

    static final int GEN_OPERATION__GEN_PARAMETERS

  The feature id for the 'Gen Parameters' containment reference list.

  See Also:
    Constant Field Values

### GEN_OPERATION__GEN_TYPE_PARAMETERS

    static final int GEN_OPERATION__GEN_TYPE_PARAMETERS

  The feature id for the 'Gen Type Parameters' containment reference list.

  See Also:
    Constant Field Values

### GEN_OPERATION_FEATURE_COUNT

    static final int GEN_OPERATION_FEATURE_COUNT

  The number of structural features of the 'Gen Operation' class.

  See Also:
    Constant Field Values

### GEN_PARAMETER

    static final int GEN_PARAMETER

  The meta object id for the '`Gen Parameter`' class.

  See Also:
    `GenParameterImpl`, `GenModelPackageImpl.getGenParameter()`, Constant Field Values

### GEN_PARAMETER__GEN_ANNOTATIONS

    static final int GEN_PARAMETER__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_PARAMETER__GEN_OPERATION

    static final int GEN_PARAMETER__GEN_OPERATION

  The feature id for the 'Gen Operation' container reference.

  See Also:
    Constant Field Values

### GEN_PARAMETER__ECORE_PARAMETER

    static final int GEN_PARAMETER__ECORE_PARAMETER

  The feature id for the 'Ecore Parameter' reference.

  See Also:
    Constant Field Values

### GEN_PARAMETER_FEATURE_COUNT

    static final int GEN_PARAMETER_FEATURE_COUNT

  The number of structural features of the 'Gen Parameter' class.

  See Also:
    Constant Field Values

### GEN_ANNOTATION

    static final int GEN_ANNOTATION

  The meta object id for the '`Gen Annotation`' class.

  See Also:
    `GenAnnotationImpl`, `GenModelPackageImpl.getGenAnnotation()`, Constant Field Values

### GEN_ANNOTATION__GEN_ANNOTATIONS

    static final int GEN_ANNOTATION__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_ANNOTATION__SOURCE

    static final int GEN_ANNOTATION__SOURCE

  The feature id for the 'Source' attribute.

  See Also:
    Constant Field Values

### GEN_ANNOTATION__DETAILS

    static final int GEN_ANNOTATION__DETAILS

  The feature id for the 'Details' map.

  See Also:
    Constant Field Values

### GEN_ANNOTATION__GEN_BASE

    static final int GEN_ANNOTATION__GEN_BASE

  The feature id for the 'Gen Base' container reference.

  See Also:
    Constant Field Values

### GEN_ANNOTATION__REFERENCES

    static final int GEN_ANNOTATION__REFERENCES

  The feature id for the 'References' reference list.

  See Also:
    Constant Field Values

### GEN_ANNOTATION__CONTENTS

    static final int GEN_ANNOTATION__CONTENTS

  The feature id for the 'Contents' containment reference list.

  See Also:
    Constant Field Values

### GEN_ANNOTATION_FEATURE_COUNT

    static final int GEN_ANNOTATION_FEATURE_COUNT

  The number of structural features of the 'Gen Annotation' class.

  See Also:
    Constant Field Values

### GEN_TYPE_PARAMETER

    static final int GEN_TYPE_PARAMETER

  The meta object id for the '`Gen Type Parameter`' class.

  See Also:
    `GenTypeParameterImpl`, `GenModelPackageImpl.getGenTypeParameter()`, Constant Field Values

### GEN_TYPE_PARAMETER__GEN_ANNOTATIONS

    static final int GEN_TYPE_PARAMETER__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_TYPE_PARAMETER__ECORE_TYPE_PARAMETER

    static final int GEN_TYPE_PARAMETER__ECORE_TYPE_PARAMETER

  The feature id for the 'Ecore Type Parameter' reference.

  See Also:
    Constant Field Values

### GEN_TYPE_PARAMETER_FEATURE_COUNT

    static final int GEN_TYPE_PARAMETER_FEATURE_COUNT

  The number of structural features of the 'Gen Type Parameter' class.

  See Also:
    Constant Field Values

### GEN_PROVIDER_KIND

    static final int GEN_PROVIDER_KIND

  The meta object id for the '`Gen Provider Kind`' enum.

  See Also:
    `GenProviderKind`, `GenModelPackageImpl.getGenProviderKind()`, Constant Field Values

### GEN_PROPERTY_KIND

    static final int GEN_PROPERTY_KIND

  The meta object id for the '`Gen Property Kind`' enum.

  See Also:
    `GenPropertyKind`, `GenModelPackageImpl.getGenPropertyKind()`, Constant Field Values

### GEN_RESOURCE_KIND

    static final int GEN_RESOURCE_KIND

  The meta object id for the '`Gen Resource Kind`' enum.

  See Also:
    `GenResourceKind`, `GenModelPackageImpl.getGenResourceKind()`, Constant Field Values

### GEN_DELEGATION_KIND

    static final int GEN_DELEGATION_KIND

  The meta object id for the '`Gen Delegation Kind`' enum.

  See Also:
    `GenDelegationKind`, `GenModelPackageImpl.getGenDelegationKind()`, Constant Field Values

### GEN_JDK_LEVEL

    static final int GEN_JDK_LEVEL

  The meta object id for the '`Gen JDK Level`' enum.

  See Also:
    `GenJDKLevel`, `GenModelPackageImpl.getGenJDKLevel()`, Constant Field Values

### GEN_RUNTIME_VERSION

    static final int GEN_RUNTIME_VERSION

  The meta object id for the '`Gen Runtime Version`' enum.

  See Also:
    `GenRuntimeVersion`, `GenModelPackageImpl.getGenRuntimeVersion()`, Constant Field Values

Method Detail

### getGenModel

    EClass getGenModel()

  Returns the meta object for class '`Gen Model`'.

  Returns:
    the meta object for class 'Gen Model'.
  See Also:
    `GenModel`

### getGenModel_CopyrightText

    EAttribute getGenModel_CopyrightText()

  Returns the meta object for the attribute '`Copyright Text`'.

  Returns:
    the meta object for the attribute 'Copyright Text'.
  See Also:
    `GenModel.getCopyrightText()`, `getGenModel()`

### getGenModel_ModelDirectory

    EAttribute getGenModel_ModelDirectory()

  Returns the meta object for the attribute '`Model Directory`'.

  Returns:
    the meta object for the attribute 'Model Directory'.
  See Also:
    `GenModel.getModelDirectory()`, `getGenModel()`

### getGenModel_CreationCommands

    EAttribute getGenModel_CreationCommands()

  Returns the meta object for the attribute '`Creation Commands`'.

  Returns:
    the meta object for the attribute 'Creation Commands'.
  See Also:
    `GenModel.isCreationCommands()`, `getGenModel()`

### getGenModel_CreationIcons

    EAttribute getGenModel_CreationIcons()

  Returns the meta object for the attribute '`Creation Icons`'.

  Returns:
    the meta object for the attribute 'Creation Icons'.
  See Also:
    `GenModel.isCreationIcons()`, `getGenModel()`

### getGenModel_EditDirectory

    EAttribute getGenModel_EditDirectory()

  Returns the meta object for the attribute '`Edit Directory`'.

  Returns:
    the meta object for the attribute 'Edit Directory'.
  See Also:
    `GenModel.getEditDirectory()`, `getGenModel()`

### getGenModel_CreationSubmenus

    EAttribute getGenModel_CreationSubmenus()

  Returns the meta object for the attribute '`Creation Submenus`'.

  Returns:
    the meta object for the attribute 'Creation Submenus'.
  See Also:
    `GenModel.isCreationSubmenus()`, `getGenModel()`

### getGenModel_EditorDirectory

    EAttribute getGenModel_EditorDirectory()

  Returns the meta object for the attribute '`Editor Directory`'.

  Returns:
    the meta object for the attribute 'Editor Directory'.
  See Also:
    `GenModel.getEditorDirectory()`, `getGenModel()`

### getGenModel_ModelPluginID

    EAttribute getGenModel_ModelPluginID()

  Returns the meta object for the attribute '`Model Plugin ID`'.

  Returns:
    the meta object for the attribute 'Model Plugin ID'.
  See Also:
    `GenModel.getModelPluginID()`, `getGenModel()`

### getGenModel_TemplateDirectory

    EAttribute getGenModel_TemplateDirectory()

  Returns the meta object for the attribute '`Template Directory`'.

  Returns:
    the meta object for the attribute 'Template Directory'.
  See Also:
    `GenModel.getTemplateDirectory()`, `getGenModel()`

### getGenModel_RuntimeJar

    EAttribute getGenModel_RuntimeJar()

  Returns the meta object for the attribute '`Runtime Jar`'.

  Returns:
    the meta object for the attribute 'Runtime Jar'.
  See Also:
    `GenModel.isRuntimeJar()`, `getGenModel()`

### getGenModel_ForeignModel

    EAttribute getGenModel_ForeignModel()

  Returns the meta object for the attribute list '`Foreign Model`'.

  Returns:
    the meta object for the attribute list 'Foreign Model'.
  See Also:
    `GenModel.getForeignModel()`, `getGenModel()`

### getGenModel_DynamicTemplates

    EAttribute getGenModel_DynamicTemplates()

  Returns the meta object for the attribute '`Dynamic Templates`'.

  Returns:
    the meta object for the attribute 'Dynamic Templates'.
  See Also:
    `GenModel.isDynamicTemplates()`, `getGenModel()`

### getGenModel_Redirection

    EAttribute getGenModel_Redirection()

  Returns the meta object for the attribute '`Redirection`'.

  Returns:
    the meta object for the attribute 'Redirection'.
  See Also:
    `GenModel.getRedirection()`, `getGenModel()`

### getGenModel_ForceOverwrite

    EAttribute getGenModel_ForceOverwrite()

  Returns the meta object for the attribute '`Force Overwrite`'.

  Returns:
    the meta object for the attribute 'Force Overwrite'.
  See Also:
    `GenModel.isForceOverwrite()`, `getGenModel()`

### getGenModel_NonExternalizedStringTag

    EAttribute getGenModel_NonExternalizedStringTag()

  Returns the meta object for the attribute '`Non Externalized String Tag`'.

  Returns:
    the meta object for the attribute 'Non Externalized String Tag'.
  See Also:
    `GenModel.getNonExternalizedStringTag()`, `getGenModel()`

### getGenModel_ModelName

    EAttribute getGenModel_ModelName()

  Returns the meta object for the attribute '`Model Name`'.

  Returns:
    the meta object for the attribute 'Model Name'.
  See Also:
    `GenModel.getModelName()`, `getGenModel()`

### getGenModel_ModelPluginClass

    EAttribute getGenModel_ModelPluginClass()

  Returns the meta object for the attribute '`Model Plugin Class`'.

  Returns:
    the meta object for the attribute 'Model Plugin Class'.
  See Also:
    `GenModel.getModelPluginClass()`, `getGenModel()`

### getGenModel_EditPluginClass

    EAttribute getGenModel_EditPluginClass()

  Returns the meta object for the attribute '`Edit Plugin Class`'.

  Returns:
    the meta object for the attribute 'Edit Plugin Class'.
  See Also:
    `GenModel.getEditPluginClass()`, `getGenModel()`

### getGenModel_EditorPluginClass

    EAttribute getGenModel_EditorPluginClass()

  Returns the meta object for the attribute '`Editor Plugin Class`'.

  Returns:
    the meta object for the attribute 'Editor Plugin Class'.
  See Also:
    `GenModel.getEditorPluginClass()`, `getGenModel()`

### getGenModel_UpdateClasspath

    EAttribute getGenModel_UpdateClasspath()

  Returns the meta object for the attribute '`Update Classpath`'.

  Returns:
    the meta object for the attribute 'Update Classpath'.
  See Also:
    `GenModel.isUpdateClasspath()`, `getGenModel()`

### getGenModel_GenerateSchema

    EAttribute getGenModel_GenerateSchema()

  Returns the meta object for the attribute '`Generate Schema`'.

  Returns:
    the meta object for the attribute 'Generate Schema'.
  See Also:
    `GenModel.isGenerateSchema()`, `getGenModel()`

### getGenModel_NonNLSMarkers

    EAttribute getGenModel_NonNLSMarkers()

  Returns the meta object for the attribute '`Non NLS Markers`'.

  Returns:
    the meta object for the attribute 'Non NLS Markers'.
  See Also:
    `GenModel.isNonNLSMarkers()`, `getGenModel()`

### getGenModel_StaticPackages

    EAttribute getGenModel_StaticPackages()

  Returns the meta object for the attribute list '`Static Packages`'.

  Returns:
    the meta object for the attribute list 'Static Packages'.
  See Also:
    `GenModel.getStaticPackages()`, `getGenModel()`

### getGenModel_ModelPluginVariables

    EAttribute getGenModel_ModelPluginVariables()

  Returns the meta object for the attribute list '`Model Plugin Variables`'.

  Returns:
    the meta object for the attribute list 'Model Plugin Variables'.
  See Also:
    `GenModel.getModelPluginVariables()`, `getGenModel()`

### getGenModel_RootExtendsInterface

    EAttribute getGenModel_RootExtendsInterface()

  Returns the meta object for the attribute '`Root Extends Interface`'.

  Returns:
    the meta object for the attribute 'Root Extends Interface'.
  See Also:
    `GenModel.getRootExtendsInterface()`, `getGenModel()`

### getGenModel_RootExtendsClass

    EAttribute getGenModel_RootExtendsClass()

  Returns the meta object for the attribute '`Root Extends Class`'.

  Returns:
    the meta object for the attribute 'Root Extends Class'.
  See Also:
    `GenModel.getRootExtendsClass()`, `getGenModel()`

### getGenModel_RootImplementsInterface

    EAttribute getGenModel_RootImplementsInterface()

  Returns the meta object for the attribute '`Root Implements Interface`'.

  Returns:
    the meta object for the attribute 'Root Implements Interface'.
  See Also:
    `GenModel.getRootImplementsInterface()`, `getGenModel()`

### getGenModel_SuppressEMFTypes

    EAttribute getGenModel_SuppressEMFTypes()

  Returns the meta object for the attribute '`Suppress EMF Types`'.

  Returns:
    the meta object for the attribute 'Suppress EMF Types'.
  See Also:
    `GenModel.isSuppressEMFTypes()`, `getGenModel()`

### getGenModel_SuppressEMFMetaData

    EAttribute getGenModel_SuppressEMFMetaData()

  Returns the meta object for the attribute '`Suppress EMF Meta Data`'.

  Returns:
    the meta object for the attribute 'Suppress EMF Meta Data'.
  See Also:
    `GenModel.isSuppressEMFMetaData()`, `getGenModel()`

### getGenModel_SuppressEMFModelTags

    EAttribute getGenModel_SuppressEMFModelTags()

  Returns the meta object for the attribute '`Suppress EMF Model Tags`'.

  Returns:
    the meta object for the attribute 'Suppress EMF Model Tags'.
  See Also:
    `GenModel.isSuppressEMFModelTags()`, `getGenModel()`

### getGenModel_SuppressInterfaces

    EAttribute getGenModel_SuppressInterfaces()

  Returns the meta object for the attribute '`Suppress Interfaces`'.

  Returns:
    the meta object for the attribute 'Suppress Interfaces'.
  See Also:
    `GenModel.isSuppressInterfaces()`, `getGenModel()`

### getGenModel_FeatureMapWrapperInterface

    EAttribute getGenModel_FeatureMapWrapperInterface()

  Returns the meta object for the attribute '`Feature Map Wrapper Interface`'.

  Returns:
    the meta object for the attribute 'Feature Map Wrapper Interface'.
  See Also:
    `GenModel.getFeatureMapWrapperInterface()`, `getGenModel()`

### getGenModel_FeatureMapWrapperInternalInterface

    EAttribute getGenModel_FeatureMapWrapperInternalInterface()

  Returns the meta object for the attribute '`Feature Map Wrapper Internal Interface`'.

  Returns:
    the meta object for the attribute 'Feature Map Wrapper Internal Interface'.
  See Also:
    `GenModel.getFeatureMapWrapperInternalInterface()`, `getGenModel()`

### getGenModel_FeatureMapWrapperClass

    EAttribute getGenModel_FeatureMapWrapperClass()

  Returns the meta object for the attribute '`Feature Map Wrapper Class`'.

  Returns:
    the meta object for the attribute 'Feature Map Wrapper Class'.
  See Also:
    `GenModel.getFeatureMapWrapperClass()`, `getGenModel()`

### getGenModel_RuntimeCompatibility

    EAttribute getGenModel_RuntimeCompatibility()

  Returns the meta object for the attribute '`Runtime Compatibility`'.

  Returns:
    the meta object for the attribute 'Runtime Compatibility'.
  See Also:
    `GenModel.isRuntimeCompatibility()`, `getGenModel()`

### getGenModel_RichClientPlatform

    EAttribute getGenModel_RichClientPlatform()

  Returns the meta object for the attribute '`Rich Client Platform`'.

  Returns:
    the meta object for the attribute 'Rich Client Platform'.
  See Also:
    `GenModel.isRichClientPlatform()`, `getGenModel()`

### getGenModel_ReflectiveDelegation

    EAttribute getGenModel_ReflectiveDelegation()

  Returns the meta object for the attribute '`Reflective Delegation`'.

  Returns:
    the meta object for the attribute 'Reflective Delegation'.
  See Also:
    `GenModel.isReflectiveDelegation()`, `getGenModel()`

### getGenModel_CodeFormatting

    EAttribute getGenModel_CodeFormatting()

  Returns the meta object for the attribute '`Code Formatting`'.

  Returns:
    the meta object for the attribute 'Code Formatting'.
  See Also:
    `GenModel.isCodeFormatting()`, `getGenModel()`

### getGenModel_TestsDirectory

    EAttribute getGenModel_TestsDirectory()

  Returns the meta object for the attribute '`Tests Directory`'.

  Returns:
    the meta object for the attribute 'Tests Directory'.
  See Also:
    `GenModel.getTestsDirectory()`, `getGenModel()`

### getGenModel_TestSuiteClass

    EAttribute getGenModel_TestSuiteClass()

  Returns the meta object for the attribute '`Test Suite Class`'.

  Returns:
    the meta object for the attribute 'Test Suite Class'.
  See Also:
    `GenModel.getTestSuiteClass()`, `getGenModel()`

### getGenModel_BooleanFlagsField

    EAttribute getGenModel_BooleanFlagsField()

  Returns the meta object for the attribute '`Boolean Flags Field`'.

  Returns:
    the meta object for the attribute 'Boolean Flags Field'.
  See Also:
    `GenModel.getBooleanFlagsField()`, `getGenModel()`

### getGenModel_BooleanFlagsReservedBits

    EAttribute getGenModel_BooleanFlagsReservedBits()

  Returns the meta object for the attribute '`Boolean Flags Reserved Bits`'.

  Returns:
    the meta object for the attribute 'Boolean Flags Reserved Bits'.
  See Also:
    `GenModel.getBooleanFlagsReservedBits()`, `getGenModel()`

### getGenModel_ImporterID

    EAttribute getGenModel_ImporterID()

  Returns the meta object for the attribute '`Importer ID`'.

  Returns:
    the meta object for the attribute 'Importer ID'.
  See Also:
    `GenModel.getImporterID()`, `getGenModel()`

### getGenModel_BundleManifest

    EAttribute getGenModel_BundleManifest()

  Returns the meta object for the attribute '`Bundle Manifest`'.

  Returns:
    the meta object for the attribute 'Bundle Manifest'.
  See Also:
    `GenModel.isBundleManifest()`, `getGenModel()`

### getGenModel_FeatureDelegation

    EAttribute getGenModel_FeatureDelegation()

  Returns the meta object for the attribute '`Feature Delegation`'.

  Returns:
    the meta object for the attribute 'Feature Delegation'.
  See Also:
    `GenModel.getFeatureDelegation()`, `getGenModel()`

### getGenModel_ContainmentProxies

    EAttribute getGenModel_ContainmentProxies()

  Returns the meta object for the attribute '`Containment Proxies`'.

  Returns:
    the meta object for the attribute 'Containment Proxies'.
  See Also:
    `GenModel.isContainmentProxies()`, `getGenModel()`

### getGenModel_MinimalReflectiveMethods

    EAttribute getGenModel_MinimalReflectiveMethods()

  Returns the meta object for the attribute '`Minimal Reflective Methods`'.

  Returns:
    the meta object for the attribute 'Minimal Reflective Methods'.
  See Also:
    `GenModel.isMinimalReflectiveMethods()`, `getGenModel()`

### getGenModel_SuppressContainment

    EAttribute getGenModel_SuppressContainment()

  Returns the meta object for the attribute '`Suppress Containment`'.

  Returns:
    the meta object for the attribute 'Suppress Containment'.
  See Also:
    `GenModel.isSuppressContainment()`, `getGenModel()`

### getGenModel_SuppressNotification

    EAttribute getGenModel_SuppressNotification()

  Returns the meta object for the attribute '`Suppress Notification`'.

  Returns:
    the meta object for the attribute 'Suppress Notification'.
  See Also:
    `GenModel.isSuppressNotification()`, `getGenModel()`

### getGenModel_ArrayAccessors

    EAttribute getGenModel_ArrayAccessors()

  Returns the meta object for the attribute '`Array Accessors`'.

  Returns:
    the meta object for the attribute 'Array Accessors'.
  See Also:
    `GenModel.isArrayAccessors()`, `getGenModel()`

### getGenModel_SuppressUnsettable

    EAttribute getGenModel_SuppressUnsettable()

  Returns the meta object for the attribute '`Suppress Unsettable`'.

  Returns:
    the meta object for the attribute 'Suppress Unsettable'.
  See Also:
    `GenModel.isSuppressUnsettable()`, `getGenModel()`

### getGenModel_FacadeHelperClass

    EAttribute getGenModel_FacadeHelperClass()

  Returns the meta object for the attribute '`Facade Helper Class`'.

  Returns:
    the meta object for the attribute 'Facade Helper Class'.
  See Also:
    `GenModel.getFacadeHelperClass()`, `getGenModel()`

### getGenModel_ComplianceLevel

    EAttribute getGenModel_ComplianceLevel()

  Returns the meta object for the attribute '`Compliance Level`'.

  Returns:
    the meta object for the attribute 'Compliance Level'.
  See Also:
    `GenModel.getComplianceLevel()`, `getGenModel()`

### getGenModel_SuppressGenModelAnnotations

    EAttribute getGenModel_SuppressGenModelAnnotations()

  Returns the meta object for the attribute '`Suppress Gen Model Annotations`'.

  Returns:
    the meta object for the attribute 'Suppress Gen Model Annotations'.
  See Also:
    `GenModel.isSuppressGenModelAnnotations()`, `getGenModel()`

### getGenModel_CopyrightFields

    EAttribute getGenModel_CopyrightFields()

  Returns the meta object for the attribute '`Copyright Fields`'.

  Returns:
    the meta object for the attribute 'Copyright Fields'.
  See Also:
    `GenModel.isCopyrightFields()`, `getGenModel()`

### getGenModel_BinaryCompatibleReflectiveMethods

    EAttribute getGenModel_BinaryCompatibleReflectiveMethods()

  Returns the meta object for the attribute '`Binary Compatible Reflective Methods`'.

  Returns:
    the meta object for the attribute 'Binary Compatible Reflective Methods'.
  See Also:
    `GenModel.isBinaryCompatibleReflectiveMethods()`, `getGenModel()`

### getGenModel_PublicConstructors

    EAttribute getGenModel_PublicConstructors()

  Returns the meta object for the attribute '`Public Constructors`'.

  Returns:
    the meta object for the attribute 'Public Constructors'.
  See Also:
    `GenModel.isPublicConstructors()`, `getGenModel()`

### getGenModel_TemplatePluginVariables

    EAttribute getGenModel_TemplatePluginVariables()

  Returns the meta object for the attribute list '`Template Plugin Variables`'.

  Returns:
    the meta object for the attribute list 'Template Plugin Variables'.
  See Also:
    `GenModel.getTemplatePluginVariables()`, `getGenModel()`

### getGenModel_ProviderRootExtendsClass

    EAttribute getGenModel_ProviderRootExtendsClass()

  Returns the meta object for the attribute '`Provider Root Extends Class`'.

  Returns:
    the meta object for the attribute 'Provider Root Extends Class'.
  See Also:
    `GenModel.getProviderRootExtendsClass()`, `getGenModel()`

### getGenModel_EditPluginID

    EAttribute getGenModel_EditPluginID()

  Returns the meta object for the attribute '`Edit Plugin ID`'.

  Returns:
    the meta object for the attribute 'Edit Plugin ID'.
  See Also:
    `GenModel.getEditPluginID()`, `getGenModel()`

### getGenModel_EditPluginVariables

    EAttribute getGenModel_EditPluginVariables()

  Returns the meta object for the attribute list '`Edit Plugin Variables`'.

  Returns:
    the meta object for the attribute list 'Edit Plugin Variables'.
  See Also:
    `GenModel.getEditPluginVariables()`, `getGenModel()`

### getGenModel_EditorPluginID

    EAttribute getGenModel_EditorPluginID()

  Returns the meta object for the attribute '`Editor Plugin ID`'.

  Returns:
    the meta object for the attribute 'Editor Plugin ID'.
  See Also:
    `GenModel.getEditorPluginID()`, `getGenModel()`

### getGenModel_EditorPluginVariables

    EAttribute getGenModel_EditorPluginVariables()

  Returns the meta object for the attribute list '`Editor Plugin Variables`'.

  Returns:
    the meta object for the attribute list 'Editor Plugin Variables'.
  See Also:
    `GenModel.getEditorPluginVariables()`, `getGenModel()`

### getGenModel_TestsPluginID

    EAttribute getGenModel_TestsPluginID()

  Returns the meta object for the attribute '`Tests Plugin ID`'.

  Returns:
    the meta object for the attribute 'Tests Plugin ID'.
  See Also:
    `GenModel.getTestsPluginID()`, `getGenModel()`

### getGenModel_TestsPluginVariables

    EAttribute getGenModel_TestsPluginVariables()

  Returns the meta object for the attribute list '`Tests Plugin Variables`'.

  Returns:
    the meta object for the attribute list 'Tests Plugin Variables'.
  See Also:
    `GenModel.getTestsPluginVariables()`, `getGenModel()`

### getGenModel_OptimizedHasChildren

    EAttribute getGenModel_OptimizedHasChildren()

  Returns the meta object for the attribute '`Optimized Has Children`'.

  Returns:
    the meta object for the attribute 'Optimized Has Children'.
  See Also:
    `GenModel.isOptimizedHasChildren()`, `getGenModel()`

### getGenModel_TableProviders

    EAttribute getGenModel_TableProviders()

  Returns the meta object for the attribute '`Table Providers`'.

  Returns:
    the meta object for the attribute 'Table Providers'.
  See Also:
    `GenModel.isTableProviders()`, `getGenModel()`

### getGenModel_ColorProviders

    EAttribute getGenModel_ColorProviders()

  Returns the meta object for the attribute '`Color Providers`'.

  Returns:
    the meta object for the attribute 'Color Providers'.
  See Also:
    `GenModel.isColorProviders()`, `getGenModel()`

### getGenModel_FontProviders

    EAttribute getGenModel_FontProviders()

  Returns the meta object for the attribute '`Font Providers`'.

  Returns:
    the meta object for the attribute 'Font Providers'.
  See Also:
    `GenModel.isFontProviders()`, `getGenModel()`

### getGenModel_RuntimeVersion

    EAttribute getGenModel_RuntimeVersion()

  Returns the meta object for the attribute '`Runtime Version`'.

  Returns:
    the meta object for the attribute 'Runtime Version'.
  See Also:
    `GenModel.getRuntimeVersion()`, `getGenModel()`

### getGenModel_Language

    EAttribute getGenModel_Language()

  Returns the meta object for the attribute '`Language`'.

  Returns:
    the meta object for the attribute 'Language'.
  See Also:
    `GenModel.getLanguage()`, `getGenModel()`

### getGenModel_PackedEnums

    EAttribute getGenModel_PackedEnums()

  Returns the meta object for the attribute '`Packed Enums`'.

  Returns:
    the meta object for the attribute 'Packed Enums'.
  See Also:
    `GenModel.isPackedEnums()`, `getGenModel()`

### getGenModel_GenPackages

    EReference getGenModel_GenPackages()

  Returns the meta object for the containment reference list '`Gen Packages`'.

  Returns:
    the meta object for the containment reference list 'Gen Packages'.
  See Also:
    `GenModel.getGenPackages()`, `getGenModel()`

### getGenModel_UsedGenPackages

    EReference getGenModel_UsedGenPackages()

  Returns the meta object for the reference list '`Used Gen Packages`'.

  Returns:
    the meta object for the reference list 'Used Gen Packages'.
  See Also:
    `GenModel.getUsedGenPackages()`, `getGenModel()`

### getGenPackage

    EClass getGenPackage()

  Returns the meta object for class '`Gen Package`'.

  Returns:
    the meta object for class 'Gen Package'.
  See Also:
    `GenPackage`

### getGenPackage_Prefix

    EAttribute getGenPackage_Prefix()

  Returns the meta object for the attribute '`Prefix`'.

  Returns:
    the meta object for the attribute 'Prefix'.
  See Also:
    `GenPackage.getPrefix()`, `getGenPackage()`

### getGenPackage_BasePackage

    EAttribute getGenPackage_BasePackage()

  Returns the meta object for the attribute '`Base Package`'.

  Returns:
    the meta object for the attribute 'Base Package'.
  See Also:
    `GenPackage.getBasePackage()`, `getGenPackage()`

### getGenPackage_Resource

    EAttribute getGenPackage_Resource()

  Returns the meta object for the attribute '`Resource`'.

  Returns:
    the meta object for the attribute 'Resource'.
  See Also:
    `GenPackage.getResource()`, `getGenPackage()`

### getGenPackage_DisposableProviderFactory

    EAttribute getGenPackage_DisposableProviderFactory()

  Returns the meta object for the attribute '`Disposable Provider Factory`'.

  Returns:
    the meta object for the attribute 'Disposable Provider Factory'.
  See Also:
    `GenPackage.isDisposableProviderFactory()`, `getGenPackage()`

### getGenPackage_AdapterFactory

    EAttribute getGenPackage_AdapterFactory()

  Returns the meta object for the attribute '`Adapter Factory`'.

  Returns:
    the meta object for the attribute 'Adapter Factory'.
  See Also:
    `GenPackage.isAdapterFactory()`, `getGenPackage()`

### getGenPackage_LoadInitialization

    EAttribute getGenPackage_LoadInitialization()

  Returns the meta object for the attribute '`Load Initialization`'.

  Returns:
    the meta object for the attribute 'Load Initialization'.
  See Also:
    `GenPackage.isLoadInitialization()`, `getGenPackage()`

### getGenPackage_InterfacePackageSuffix

    EAttribute getGenPackage_InterfacePackageSuffix()

  Returns the meta object for the attribute '`Interface Package Suffix`'.

  Returns:
    the meta object for the attribute 'Interface Package Suffix'.
  See Also:
    `GenPackage.getInterfacePackageSuffix()`, `getGenPackage()`

### getGenPackage_MetaDataPackageSuffix

    EAttribute getGenPackage_MetaDataPackageSuffix()

  Returns the meta object for the attribute '`Meta Data Package Suffix`'.

  Returns:
    the meta object for the attribute 'Meta Data Package Suffix'.
  See Also:
    `GenPackage.getMetaDataPackageSuffix()`, `getGenPackage()`

### getGenPackage_ClassPackageSuffix

    EAttribute getGenPackage_ClassPackageSuffix()

  Returns the meta object for the attribute '`Class Package Suffix`'.

  Returns:
    the meta object for the attribute 'Class Package Suffix'.
  See Also:
    `GenPackage.getClassPackageSuffix()`, `getGenPackage()`

### getGenPackage_UtilityPackageSuffix

    EAttribute getGenPackage_UtilityPackageSuffix()

  Returns the meta object for the attribute '`Utility Package Suffix`'.

  Returns:
    the meta object for the attribute 'Utility Package Suffix'.
  See Also:
    `GenPackage.getUtilityPackageSuffix()`, `getGenPackage()`

### getGenPackage_ProviderPackageSuffix

    EAttribute getGenPackage_ProviderPackageSuffix()

  Returns the meta object for the attribute '`Provider Package Suffix`'.

  Returns:
    the meta object for the attribute 'Provider Package Suffix'.
  See Also:
    `GenPackage.getProviderPackageSuffix()`, `getGenPackage()`

### getGenPackage_PresentationPackageSuffix

    EAttribute getGenPackage_PresentationPackageSuffix()

  Returns the meta object for the attribute '`Presentation Package Suffix`'.

  Returns:
    the meta object for the attribute 'Presentation Package Suffix'.
  See Also:
    `GenPackage.getPresentationPackageSuffix()`, `getGenPackage()`

### getGenPackage_TestsPackageSuffix

    EAttribute getGenPackage_TestsPackageSuffix()

  Returns the meta object for the attribute '`Tests Package Suffix`'.

  Returns:
    the meta object for the attribute 'Tests Package Suffix'.
  See Also:
    `GenPackage.getTestsPackageSuffix()`, `getGenPackage()`

### getGenPackage_GenerateExampleClass

    EAttribute getGenPackage_GenerateExampleClass()

  Returns the meta object for the attribute '`Generate Example Class`'.

  Returns:
    the meta object for the attribute 'Generate Example Class'.
  See Also:
    `GenPackage.isGenerateExampleClass()`, `getGenPackage()`

### getGenPackage_LiteralsInterface

    EAttribute getGenPackage_LiteralsInterface()

  Returns the meta object for the attribute '`Literals Interface`'.

  Returns:
    the meta object for the attribute 'Literals Interface'.
  See Also:
    `GenPackage.isLiteralsInterface()`, `getGenPackage()`

### getGenPackage_DataTypeConverters

    EAttribute getGenPackage_DataTypeConverters()

  Returns the meta object for the attribute '`Data Type Converters`'.

  Returns:
    the meta object for the attribute 'Data Type Converters'.
  See Also:
    `GenPackage.isDataTypeConverters()`, `getGenPackage()`

### getGenPackage_MultipleEditorPages

    EAttribute getGenPackage_MultipleEditorPages()

  Returns the meta object for the attribute '`Multiple Editor Pages`'.

  Returns:
    the meta object for the attribute 'Multiple Editor Pages'.
  See Also:
    `GenPackage.isMultipleEditorPages()`, `getGenPackage()`

### getGenPackage_GenerateModelWizard

    EAttribute getGenPackage_GenerateModelWizard()

  Returns the meta object for the attribute '`Generate Model Wizard`'.

  Returns:
    the meta object for the attribute 'Generate Model Wizard'.
  See Also:
    `GenPackage.isGenerateModelWizard()`, `getGenPackage()`

### getGenPackage_ExtensibleProviderFactory

    EAttribute getGenPackage_ExtensibleProviderFactory()

  Returns the meta object for the attribute '`Extensible Provider Factory`'.

  Returns:
    the meta object for the attribute 'Extensible Provider Factory'.
  See Also:
    `GenPackage.isExtensibleProviderFactory()`, `getGenPackage()`

### getGenPackage_ChildCreationExtenders

    EAttribute getGenPackage_ChildCreationExtenders()

  Returns the meta object for the attribute '`Child Creation Extenders`'.

  Returns:
    the meta object for the attribute 'Child Creation Extenders'.
  See Also:
    `GenPackage.isChildCreationExtenders()`, `getGenPackage()`

### getGenPackage_ContentTypeIdentifier

    EAttribute getGenPackage_ContentTypeIdentifier()

  Returns the meta object for the attribute '`Content Type Identifier`'.

  Returns:
    the meta object for the attribute 'Content Type Identifier'.
  See Also:
    `GenPackage.getContentTypeIdentifier()`, `getGenPackage()`

### getGenPackage_FileExtensions

    EAttribute getGenPackage_FileExtensions()

  Returns the meta object for the attribute '`File Extensions`'.

  Returns:
    the meta object for the attribute 'File Extensions'.
  See Also:
    `GenPackage.getFileExtensions()`, `getGenPackage()`

### getGenPackage_EcorePackage

    EReference getGenPackage_EcorePackage()

  Returns the meta object for the reference '`Ecore Package`'.

  Returns:
    the meta object for the reference 'Ecore Package'.
  See Also:
    `GenPackage.getEcorePackage()`, `getGenPackage()`

### getGenPackage_GenModel

    EReference getGenPackage_GenModel()

  Returns the meta object for the container reference '`Gen Model`'.

  Returns:
    the meta object for the container reference 'Gen Model'.
  See Also:
    `GenPackage.getGenModel()`, `getGenPackage()`

### getGenPackage_GenEnums

    EReference getGenPackage_GenEnums()

  Returns the meta object for the containment reference list '`Gen Enums`'.

  Returns:
    the meta object for the containment reference list 'Gen Enums'.
  See Also:
    `GenPackage.getGenEnums()`, `getGenPackage()`

### getGenPackage_GenDataTypes

    EReference getGenPackage_GenDataTypes()

  Returns the meta object for the containment reference list '`Gen Data Types`'.

  Returns:
    the meta object for the containment reference list 'Gen Data Types'.
  See Also:
    `GenPackage.getGenDataTypes()`, `getGenPackage()`

### getGenPackage_GenClasses

    EReference getGenPackage_GenClasses()

  Returns the meta object for the containment reference list '`Gen Classes`'.

  Returns:
    the meta object for the containment reference list 'Gen Classes'.
  See Also:
    `GenPackage.getGenClasses()`, `getGenPackage()`

### getGenPackage_NestedGenPackages

    EReference getGenPackage_NestedGenPackages()

  Returns the meta object for the containment reference list '`Nested Gen Packages`'.

  Returns:
    the meta object for the containment reference list 'Nested Gen Packages'.
  See Also:
    `GenPackage.getNestedGenPackages()`, `getGenPackage()`

### getGenPackage_GenClassifiers

    EReference getGenPackage_GenClassifiers()

  Returns the meta object for the reference list '`Gen Classifiers`'.

  Returns:
    the meta object for the reference list 'Gen Classifiers'.
  See Also:
    `GenPackage.getGenClassifiers()`, `getGenPackage()`

### getGenClass

    EClass getGenClass()

  Returns the meta object for class '`Gen Class`'.

  Returns:
    the meta object for class 'Gen Class'.
  See Also:
    `GenClass`

### getGenClass_Provider

    EAttribute getGenClass_Provider()

  Returns the meta object for the attribute '`Provider`'.

  Returns:
    the meta object for the attribute 'Provider'.
  See Also:
    `GenClass.getProvider()`, `getGenClass()`

### getGenClass_Image

    EAttribute getGenClass_Image()

  Returns the meta object for the attribute '`Image`'.

  Returns:
    the meta object for the attribute 'Image'.
  See Also:
    `GenClass.isImage()`, `getGenClass()`

### getGenClass_Dynamic

    EAttribute getGenClass_Dynamic()

  Returns the meta object for the attribute '`Dynamic`'.

  Returns:
    the meta object for the attribute 'Dynamic'.
  See Also:
    `GenClass.isDynamic()`, `getGenClass()`

### getGenClass_EcoreClass

    EReference getGenClass_EcoreClass()

  Returns the meta object for the reference '`Ecore Class`'.

  Returns:
    the meta object for the reference 'Ecore Class'.
  See Also:
    `GenClass.getEcoreClass()`, `getGenClass()`

### getGenClass_GenFeatures

    EReference getGenClass_GenFeatures()

  Returns the meta object for the containment reference list '`Gen Features`'.

  Returns:
    the meta object for the containment reference list 'Gen Features'.
  See Also:
    `GenClass.getGenFeatures()`, `getGenClass()`

### getGenClass_GenOperations

    EReference getGenClass_GenOperations()

  Returns the meta object for the containment reference list '`Gen Operations`'.

  Returns:
    the meta object for the containment reference list 'Gen Operations'.
  See Also:
    `GenClass.getGenOperations()`, `getGenClass()`

### getGenClass_LabelFeature

    EReference getGenClass_LabelFeature()

  Returns the meta object for the reference '`Label Feature`'.

  Returns:
    the meta object for the reference 'Label Feature'.
  See Also:
    `GenClass.getLabelFeature()`, `getGenClass()`

### getGenFeature

    EClass getGenFeature()

  Returns the meta object for class '`Gen Feature`'.

  Returns:
    the meta object for class 'Gen Feature'.
  See Also:
    `GenFeature`

### getGenFeature_Property

    EAttribute getGenFeature_Property()

  Returns the meta object for the attribute '`Property`'.

  Returns:
    the meta object for the attribute 'Property'.
  See Also:
    `GenFeature.getProperty()`, `getGenFeature()`

### getGenFeature_Notify

    EAttribute getGenFeature_Notify()

  Returns the meta object for the attribute '`Notify`'.

  Returns:
    the meta object for the attribute 'Notify'.
  See Also:
    `GenFeature.isNotify()`, `getGenFeature()`

### getGenFeature_Children

    EAttribute getGenFeature_Children()

  Returns the meta object for the attribute '`Children`'.

  Returns:
    the meta object for the attribute 'Children'.
  See Also:
    `GenFeature.isChildren()`, `getGenFeature()`

### getGenFeature_CreateChild

    EAttribute getGenFeature_CreateChild()

  Returns the meta object for the attribute '`Create Child`'.

  Returns:
    the meta object for the attribute 'Create Child'.
  See Also:
    `GenFeature.isCreateChild()`, `getGenFeature()`

### getGenFeature_PropertyCategory

    EAttribute getGenFeature_PropertyCategory()

  Returns the meta object for the attribute '`Property Category`'.

  Returns:
    the meta object for the attribute 'Property Category'.
  See Also:
    `GenFeature.getPropertyCategory()`, `getGenFeature()`

### getGenFeature_PropertyFilterFlags

    EAttribute getGenFeature_PropertyFilterFlags()

  Returns the meta object for the attribute list '`Property Filter Flags`'.

  Returns:
    the meta object for the attribute list 'Property Filter Flags'.
  See Also:
    `GenFeature.getPropertyFilterFlags()`, `getGenFeature()`

### getGenFeature_PropertyDescription

    EAttribute getGenFeature_PropertyDescription()

  Returns the meta object for the attribute '`Property Description`'.

  Returns:
    the meta object for the attribute 'Property Description'.
  See Also:
    `GenFeature.getPropertyDescription()`, `getGenFeature()`

### getGenFeature_PropertyMultiLine

    EAttribute getGenFeature_PropertyMultiLine()

  Returns the meta object for the attribute '`Property Multi Line`'.

  Returns:
    the meta object for the attribute 'Property Multi Line'.
  See Also:
    `GenFeature.isPropertyMultiLine()`, `getGenFeature()`

### getGenFeature_PropertySortChoices

    EAttribute getGenFeature_PropertySortChoices()

  Returns the meta object for the attribute '`Property Sort Choices`'.

  Returns:
    the meta object for the attribute 'Property Sort Choices'.
  See Also:
    `GenFeature.isPropertySortChoices()`, `getGenFeature()`

### getGenFeature_GenClass

    EReference getGenFeature_GenClass()

  Returns the meta object for the container reference '`Gen Class`'.

  Returns:
    the meta object for the container reference 'Gen Class'.
  See Also:
    `GenFeature.getGenClass()`, `getGenFeature()`

### getGenFeature_EcoreFeature

    EReference getGenFeature_EcoreFeature()

  Returns the meta object for the reference '`Ecore Feature`'.

  Returns:
    the meta object for the reference 'Ecore Feature'.
  See Also:
    `GenFeature.getEcoreFeature()`, `getGenFeature()`

### getGenBase

    EClass getGenBase()

  Returns the meta object for class '`Gen Base`'.

  Returns:
    the meta object for class 'Gen Base'.
  See Also:
    `GenBase`

### getGenBase_GenAnnotations

    EReference getGenBase_GenAnnotations()

  Returns the meta object for the containment reference list '`Gen Annotations`'.

  Returns:
    the meta object for the containment reference list 'Gen Annotations'.
  See Also:
    `GenBase.getGenAnnotations()`, `getGenBase()`

### getGenEnum

    EClass getGenEnum()

  Returns the meta object for class '`Gen Enum`'.

  Returns:
    the meta object for class 'Gen Enum'.
  See Also:
    `GenEnum`

### getGenEnum_TypeSafeEnumCompatible

    EAttribute getGenEnum_TypeSafeEnumCompatible()

  Returns the meta object for the attribute '`Type Safe Enum Compatible`'.

  Returns:
    the meta object for the attribute 'Type Safe Enum Compatible'.
  See Also:
    `GenEnum.isTypeSafeEnumCompatible()`, `getGenEnum()`

### getGenEnum_EcoreEnum

    EReference getGenEnum_EcoreEnum()

  Returns the meta object for the reference '`Ecore Enum`'.

  Returns:
    the meta object for the reference 'Ecore Enum'.
  See Also:
    `GenEnum.getEcoreEnum()`, `getGenEnum()`

### getGenEnum_GenEnumLiterals

    EReference getGenEnum_GenEnumLiterals()

  Returns the meta object for the containment reference list '`Gen Enum Literals`'.

  Returns:
    the meta object for the containment reference list 'Gen Enum Literals'.
  See Also:
    `GenEnum.getGenEnumLiterals()`, `getGenEnum()`

### getGenEnumLiteral

    EClass getGenEnumLiteral()

  Returns the meta object for class '`Gen Enum Literal`'.

  Returns:
    the meta object for class 'Gen Enum Literal'.
  See Also:
    `GenEnumLiteral`

### getGenEnumLiteral_GenEnum

    EReference getGenEnumLiteral_GenEnum()

  Returns the meta object for the container reference '`Gen Enum`'.

  Returns:
    the meta object for the container reference 'Gen Enum'.
  See Also:
    `GenEnumLiteral.getGenEnum()`, `getGenEnumLiteral()`

### getGenEnumLiteral_EcoreEnumLiteral

    EReference getGenEnumLiteral_EcoreEnumLiteral()

  Returns the meta object for the reference '`Ecore Enum Literal`'.

  Returns:
    the meta object for the reference 'Ecore Enum Literal'.
  See Also:
    `GenEnumLiteral.getEcoreEnumLiteral()`, `getGenEnumLiteral()`

### getGenClassifier

    EClass getGenClassifier()

  Returns the meta object for class '`Gen Classifier`'.

  Returns:
    the meta object for class 'Gen Classifier'.
  See Also:
    `GenClassifier`

### getGenClassifier_GenPackage

    EReference getGenClassifier_GenPackage()

  Returns the meta object for the reference '`Gen Package`'.

  Returns:
    the meta object for the reference 'Gen Package'.
  See Also:
    `GenClassifier.getGenPackage()`, `getGenClassifier()`

### getGenClassifier_GenTypeParameters

    EReference getGenClassifier_GenTypeParameters()

  Returns the meta object for the containment reference list '`Gen Type Parameters`'.

  Returns:
    the meta object for the containment reference list 'Gen Type Parameters'.
  See Also:
    `GenClassifier.getGenTypeParameters()`, `getGenClassifier()`

### getGenDataType

    EClass getGenDataType()

  Returns the meta object for class '`Gen Data Type`'.

  Returns:
    the meta object for class 'Gen Data Type'.
  See Also:
    `GenDataType`

### getGenDataType_EcoreDataType

    EReference getGenDataType_EcoreDataType()

  Returns the meta object for the reference '`Ecore Data Type`'.

  Returns:
    the meta object for the reference 'Ecore Data Type'.
  See Also:
    `GenDataType.getEcoreDataType()`, `getGenDataType()`

### getGenOperation

    EClass getGenOperation()

  Returns the meta object for class '`Gen Operation`'.

  Returns:
    the meta object for class 'Gen Operation'.
  See Also:
    `GenOperation`

### getGenOperation_GenClass

    EReference getGenOperation_GenClass()

  Returns the meta object for the container reference '`Gen Class`'.

  Returns:
    the meta object for the container reference 'Gen Class'.
  See Also:
    `GenOperation.getGenClass()`, `getGenOperation()`

### getGenOperation_EcoreOperation

    EReference getGenOperation_EcoreOperation()

  Returns the meta object for the reference '`Ecore Operation`'.

  Returns:
    the meta object for the reference 'Ecore Operation'.
  See Also:
    `GenOperation.getEcoreOperation()`, `getGenOperation()`

### getGenOperation_GenParameters

    EReference getGenOperation_GenParameters()

  Returns the meta object for the containment reference list '`Gen Parameters`'.

  Returns:
    the meta object for the containment reference list 'Gen Parameters'.
  See Also:
    `GenOperation.getGenParameters()`, `getGenOperation()`

### getGenOperation_GenTypeParameters

    EReference getGenOperation_GenTypeParameters()

  Returns the meta object for the containment reference list '`Gen Type Parameters`'.

  Returns:
    the meta object for the containment reference list 'Gen Type Parameters'.
  See Also:
    `GenOperation.getGenTypeParameters()`, `getGenOperation()`

### getGenParameter

    EClass getGenParameter()

  Returns the meta object for class '`Gen Parameter`'.

  Returns:
    the meta object for class 'Gen Parameter'.
  See Also:
    `GenParameter`

### getGenParameter_GenOperation

    EReference getGenParameter_GenOperation()

  Returns the meta object for the container reference '`Gen Operation`'.

  Returns:
    the meta object for the container reference 'Gen Operation'.
  See Also:
    `GenParameter.getGenOperation()`, `getGenParameter()`

### getGenParameter_EcoreParameter

    EReference getGenParameter_EcoreParameter()

  Returns the meta object for the reference '`Ecore Parameter`'.

  Returns:
    the meta object for the reference 'Ecore Parameter'.
  See Also:
    `GenParameter.getEcoreParameter()`, `getGenParameter()`

### getGenTypedElement

    EClass getGenTypedElement()

  Returns the meta object for class '`Gen Typed Element`'.

  Returns:
    the meta object for class 'Gen Typed Element'.
  See Also:
    `GenTypedElement`

### getGenAnnotation

    EClass getGenAnnotation()

  Returns the meta object for class '`Gen Annotation`'.

  Returns:
    the meta object for class 'Gen Annotation'.
  See Also:
    `GenAnnotation`

### getGenAnnotation_Source

    EAttribute getGenAnnotation_Source()

  Returns the meta object for the attribute '`Source`'.

  Returns:
    the meta object for the attribute 'Source'.
  See Also:
    `GenAnnotation.getSource()`, `getGenAnnotation()`

### getGenAnnotation_Details

    EReference getGenAnnotation_Details()

  Returns the meta object for the map '`Details`'.

  Returns:
    the meta object for the map 'Details'.
  See Also:
    `GenAnnotation.getDetails()`, `getGenAnnotation()`

### getGenAnnotation_GenBase

    EReference getGenAnnotation_GenBase()

  Returns the meta object for the container reference '`Gen Base`'.

  Returns:
    the meta object for the container reference 'Gen Base'.
  See Also:
    `GenAnnotation.getGenBase()`, `getGenAnnotation()`

### getGenAnnotation_References

    EReference getGenAnnotation_References()

  Returns the meta object for the reference list '`References`'.

  Returns:
    the meta object for the reference list 'References'.
  See Also:
    `GenAnnotation.getReferences()`, `getGenAnnotation()`

### getGenAnnotation_Contents

    EReference getGenAnnotation_Contents()

  Returns the meta object for the containment reference list '`Contents`'.

  Returns:
    the meta object for the containment reference list 'Contents'.
  See Also:
    `GenAnnotation.getContents()`, `getGenAnnotation()`

### getGenTypeParameter

    EClass getGenTypeParameter()

  Returns the meta object for class '`Gen Type Parameter`'.

  Returns:
    the meta object for class 'Gen Type Parameter'.
  See Also:
    `GenTypeParameter`

### getGenTypeParameter_EcoreTypeParameter

    EReference getGenTypeParameter_EcoreTypeParameter()

  Returns the meta object for the reference '`Ecore Type Parameter`'.

  Returns:
    the meta object for the reference 'Ecore Type Parameter'.
  See Also:
    `GenTypeParameter.getEcoreTypeParameter()`, `getGenTypeParameter()`

### getGenProviderKind

    EEnum getGenProviderKind()

  Returns the meta object for enum '`Gen Provider Kind`'.

  Returns:
    the meta object for enum 'Gen Provider Kind'.
  See Also:
    `GenProviderKind`

### getGenPropertyKind

    EEnum getGenPropertyKind()

  Returns the meta object for enum '`Gen Property Kind`'.

  Returns:
    the meta object for enum 'Gen Property Kind'.
  See Also:
    `GenPropertyKind`

### getGenResourceKind

    EEnum getGenResourceKind()

  Returns the meta object for enum '`Gen Resource Kind`'.

  Returns:
    the meta object for enum 'Gen Resource Kind'.
  See Also:
    `GenResourceKind`

### getGenDelegationKind

    EEnum getGenDelegationKind()

  Returns the meta object for enum '`Gen Delegation Kind`'.

  Returns:
    the meta object for enum 'Gen Delegation Kind'.
  See Also:
    `GenDelegationKind`

### getGenJDKLevel

    EEnum getGenJDKLevel()

  Returns the meta object for enum '`Gen JDK Level`'.

  Returns:
    the meta object for enum 'Gen JDK Level'.
  See Also:
    `GenJDKLevel`

### getGenRuntimeVersion

    EEnum getGenRuntimeVersion()

  Returns the meta object for enum '`Gen Runtime Version`'.

  Returns:
    the meta object for enum 'Gen Runtime Version'.
  See Also:
    `GenRuntimeVersion`

### getGenModelFactory

    GenModelFactory getGenModelFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.